<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                         component "Poster"                                  //
//                       written by Marat Fatikhov                             //
//                      (nickname  on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/
if(!defined('VALID_CMS_ADMIN')) { die('ACCESS DENIED'); }

    $inCore->loadModel('poster');
    $model = new cms_model_poster();

    $inDB = cmsDatabase::getInstance();

    $cfg = $inCore->loadComponentConfig('poster');
    $opt = $inCore->request('opt', 'str', 'list_items');
    
    $GLOBALS['cp_page_head'][] = '<script type="text/javascript" src="/admin/components/poster/js/common.js"></script>';
    $GLOBALS['cp_page_head'][] = '<link type="text/css" rel="stylesheet" href="/admin/components/poster/css/styles.css">';

    cpAddPathway('', '?view=components&do=config&id='.(int)$_REQUEST['id']);
    
    $type    = $inCore->request('type', 'str', 'event');
    
    //  -
  //if (!isset($cfg['main_cat'])) { $cfg['main_cat'] = 1; }
  if (!isset($cfg['main_orderby'])) { $cfg['main_orderby'] = 'ordering'; }
  if (!isset($cfg['main_orderto'])) { $cfg['main_orderto'] = 'asc'; }
  if (!isset($cfg['img_small_w'])) { $cfg['img_small_w'] = 100; }
  if (!isset($cfg['img_big_w'])) { $cfg['img_big_w'] = 300; }
  if (!isset($cfg['img_sqr'])) { $cfg['img_sqr'] = 1; }
  if (!isset($cfg['rss_all'])) { $cfg['rss_all'] = 1; }
  if (!isset($cfg['rss_one'])) { $cfg['rss_one'] = 1; }
  if (!isset($cfg['menu_up'])) { $cfg['menu_up'] = 1; }
  if (!isset($cfg['menu_left'])) { $cfg['menu_left'] = 1; }
  if (!isset($cfg['show_end'])) { $cfg['show_end'] = 1; }
  if (!isset($cfg['title'])) { $cfg['title'] = ''; }
  if (!isset($cfg['one_city'])) { $cfg['one_city'] = 1; }
  if (!isset($cfg['main_city'])) { $cfg['main_city'] = ''; }
  if (!isset($cfg['thanks'])) { $cfg['thanks'] = 0; }
  if (!isset($cfg['perpage'])) { $cfg['perpage'] = 10; }
  if (!isset($cfg['subscribe'])) { $cfg['subscribe'] = 0; }
  if (!isset($cfg['subs_limit'])) { $cfg['subs_limit'] = 20; }
  if (!isset($cfg['subs_mail'])) { $cfg['subs_mail'] = 0; }
  if (!isset($cfg['prefixes'])) { $cfg['prefixes'] = array(
                 '' => '.',
                 '' => '.',
                 '' => '-',
                 '' => '-',
                 '' => '',
                 '' => '',
                 '' => '.',
                 '' => '',
                 '' => '.'
            ); }

//=================================================================================================//
//=================================================================================================//

  $toolmenu = array();
  
  echo '<h3></h3>';

  if ($opt=='list_items'){

     $toolmenu[1]['icon'] = 'events.gif';
     $toolmenu[1]['title'] = '';
     $toolmenu[1]['link'] = '?view=components&do=config&id='.$_REQUEST['id'].'&opt=list_items&type=event';

     $toolmenu[2]['icon'] = 'newevent.gif';
     $toolmenu[2]['title'] = '  ';
     $toolmenu[2]['link'] = '?view=components&do=config&id='.$_REQUEST['id'].'&opt=add_cat&type=event';

     $toolmenu[3]['icon'] = 'folders.gif';
     $toolmenu[3]['title'] = '';
     $toolmenu[3]['link'] = '?view=components&do=config&id='.$_REQUEST['id'].'&opt=list_items&type=objekt';

     $toolmenu[4]['icon'] = 'newfolder.gif';
     $toolmenu[4]['title'] = '  ';
     $toolmenu[4]['link'] = '?view=components&do=config&id='.$_REQUEST['id'].'&opt=add_cat&type=objekt';

     $toolmenu[5]['icon'] = 'newbind.gif';
     $toolmenu[5]['title'] = ' ';
     $toolmenu[5]['link'] = '?view=components&do=config&id='.$_REQUEST['id'].'&opt=add_bind';

     $toolmenu[8]['icon'] = 'config.gif';
     $toolmenu[8]['title'] = ' ';
     $toolmenu[8]['link'] = '?view=components&do=config&id='.$_REQUEST['id'].'&opt=config';
   }else{

      if($opt != 'add_bind'){
         $toolmenu[9]['icon'] = 'save.gif';
	       $toolmenu[9]['title'] = '';
	       $toolmenu[9]['link'] = 'javascript:document.optform.submit();';
      }
      
	   $toolmenu[10]['icon'] = 'cancel.gif';
	   $toolmenu[10]['title'] = '';
	   $toolmenu[10]['link'] = '?view=components&do=config&id='.$_REQUEST['id'].'&opt=list_items&type='.$type;
  }

  cpToolMenu($toolmenu);
  
//=================================================================================================//
//=================================================================================================//

    if ($opt == 'move_item'){

            $item_id = $inCore->request('item_id', 'int', 0);
            $cat_id  = $inCore->request('cat_id', 'int', 0);

            $dir     = $_REQUEST['dir'];
            $step    = 1;

            $model->moveItem($item_id, $cat_id, $dir, $type, $step);

            echo '1'; exit;

	  }


//=================================================================================================//
//=================================================================================================//

        if ($opt == 'move_cat'){

            $cat_id  = $inCore->request('cat_id', 'int', 0);

            $dir     = $_REQUEST['dir'];

            $model->moveCategory($cat_id, $dir, $type);
            $inCore->redirectBack();

	      }

//=================================================================================================//
//=================================================================================================//

	if ($opt == 'show_item'){
		if (!isset($_REQUEST['item'])){
			if (              ($_REQUEST['item_id'])){
                $model->showItem($_REQUEST['item_id'], true, "{$type}");
                echo '1'; exit;
            }
		} else {
			$model->showItem($_REQUEST['item'], true, "{$type}");
            $inCore->redirectBack();
		}

	}

	if ($opt == 'hide_item'){
		if (!isset($_REQUEST['item'])){
			if (isset($_REQUEST['item_id'])){
                $model->showItem($_REQUEST['item_id'], false, "{$type}");
                echo '1'; exit;
            }
		} else {
			$model->showItem($_REQUEST['item'], false, "{$type}");
            $inCore->redirectBack();
		}
	}




//=================================================================================================//
//=================================================================================================//

    if ($opt == 'list_items'){

        cpAddPathway('', '?view=components&do=config&id='.$_REQUEST['id'].'&opt=list_events');
        if($type=='event'){
            echo '<h3></h3>';
        }else{
            echo '<h3></h3>';
        }

        $component_id   = $inCore->request('id', 'int', 0);
        $cat_id    = $inCore->request('cat_id', 'int', 0);
        $base_uri       = 'index.php?view=components&do=config&id='.$component_id.'&opt=list_items&type='.$type;

        $title_part     = $inCore->request('title', 'str', '');

        $def_order  = $cat_id ? 'ordering' : 'title';
        $orderby    = $inCore->request('orderby', 'str', $def_order);
        $orderto    = $inCore->request('orderto', 'str', 'asc');
        $page       = $inCore->request('page', 'int', 1);
        $perpage    = 20;

        $hide_cats  = $inCore->request('hide_cats', 'int', 0);

        $cats       = $model->getCategoriesList($type);

        $total      = $model->getItemsCount($cat_id, $type);

        $items      = $model->getItems($cat_id, $type,$orderby, $orderto, $page, $perpage, true);

        $pages      = ceil($total / $perpage);
        if($cat_id){
          if($type == 'objekt'){
             $cat_seolink = $inDB->get_field('cms_poster_objcats', "id='{$cat_id}'", 'seolink');
          }else{
             $cat_seolink = $inDB->get_field('cms_poster_eventcats', "id='{$cat_id}'", 'seolink');
          }
        }
        
        include($_SERVER['DOCUMENT_ROOT'].'/admin/components/poster/items.tpl.php');

    }

//=================================================================================================//
//=================================================================================================//

	if ($opt == 'add_cat' || $opt == 'edit_cat'){

	   	require('../includes/jwtabs.php');
		$GLOBALS['cp_page_head'][] = jwHeader();

		if ($opt=='add_cat'){

        echo '<h3> </h3>';
        if($type == 'objekt'){
	 	 		   cpAddPathway('', '?view=components&do=config&id='.$_REQUEST['id'].'&opt=list_items&type='.$type);
        }else{
           cpAddPathway('', '?view=components&do=config&id='.$_REQUEST['id'].'&opt=list_items&type='.$type);
        }
        cpAddPathway(' ', '?view=components&do=config&id='.$_REQUEST['id'].'&opt=add_cat&type='.$type);

    } else {

				 if(isset($_REQUEST['item_id'])){
           if($type=='objekt'){$table='`cms_poster_objcats`';}else{$table='`cms_poster_eventcats`';}
					 $id        = (int)$_REQUEST['item_id'];
					 $sql       = "SELECT * FROM {$table} WHERE id = $id LIMIT 1";
					 $result    = dbQuery($sql);

					 if (mysql_num_rows($result)){
                        $mod            = mysql_fetch_assoc($result);
                        $mod['access_list']  = $inCore->yamlToArray($mod['access_list']);
                        $mod['editors']  = $inCore->yamlToArray($mod['editors']);
                        $mod['cat_config']  = $inCore->yamlToArray($mod['cat_config']);
					 }

				 }

        if($type == 'objekt'){
	 	 		   cpAddPathway('', '?view=components&do=config&id='.$_REQUEST['id'].'&opt=list_items&type='.$type);
        }else{
           cpAddPathway('', '?view=components&do=config&id='.$_REQUEST['id'].'&opt=list_items&type='.$type);
        }
				 cpAddPathway($mod['title'], '?view=components&do=config&id='.$_REQUEST['id'].'&opt=edit_cat&item_id='.$_REQUEST['item_id'].'&type='.$type);
				 echo '<h3>: <span style="color:gray">'.$mod['title'].'</span></h3>';

    }
			?>

            <form id="addform" name="optform" method="post" action="index.php?view=components&do=config&id=<?php echo $_REQUEST['id'];?>" enctype="multipart/form-data">
                <table class="proptable" width="100%" cellpadding="15" cellspacing="2">
                    <tr>

                        <!--   -->
                        <td valign="top">

                            <table border="0" cellpadding="0" cellspacing="0" width="100%">
                                <tr>
                                    <td><strong> </strong></td>
                                </tr>
                                <tr>
                                    <td><input name="title" type="text" id="title" style="width:99%" value="<?php echo @$mod['title'];?>" /></td>
                                </tr>
                            </table>

                            <div></div>
                            <div></div>

                            <div style="margin-top:12px"><strong> </strong></div>
                            <div><?php $inCore->insertEditor('description', $mod['description'], '400', '100%'); ?></div>

                        </td>

                        <!--   -->
                        <td width="280" valign="top" style="background:#ECECEC;">

                            <?php ob_start(); ?>

                            {tab=}

                               <table width="100%" cellpadding="0" cellspacing="0" border="0" class="checklist">
                                   <tr>
                                       <td width="20"><input type="checkbox" name="published" id="published" value="1" <?php if ($mod['published'] || $opt=='add_cat') { echo 'checked="checked"'; } ?>/></td>
                                       <td><label for="published"><strong> </strong></label></td>
                                   </tr>
                               </table>
                               
                            {tab=}
                               <table>
                                  <?php if( $type == 'event' ){?>
                                  <tr>
                                      <td bgcolor="#ffffff" valign="top" colspan="2"><div><b> <b></div></td>
                                  </tr>
                                  <tr>
                                      <td><strong>    "".</strong><br> , "  "</td>
                                      <td><strong>:</strong></td>
                                  </tr>
                                  <tr>
                                      <td><input type="text" name="cat_config[today]" maxlenght="50" value="<?php if($mod['cat_config']['today']){ echo $mod['cat_config']['today']; }?>"></td>
                                      <td><input type="checkbox" name="cat_config[show_today]" value="1" <?php if ($mod['cat_config']['show_today']) { echo 'checked="checked"'; } ?>></td>
                                  </tr>
                                  <tr>
                                      <td><strong>    "".</strong><br> , "  "</td>
                                      <td><strong>:</strong></td>
                                  </tr>
                                  <tr>
                                      <td><input type="text" name="cat_config[soon]" maxlenght="50" value="<?php if($mod['cat_config']['soon']){ echo $mod['cat_config']['soon']; }?>"></td>
                                      <td><input type="checkbox" name="cat_config[show_soon]" value="1" <?php if ($mod['cat_config']['show_soon']) { echo 'checked="checked"'; } ?>></td>
                                  </tr>
                                  <tr>
                                      <td><strong>    "".</strong><br> , ", "</td>
                                      <td><strong>:</strong></td>
                                  </tr>
                                  <tr>
                                      <td><input type="text" name="cat_config[archive]" maxlenght="50" value="<?php if($mod['cat_config']['archive']){ echo $mod['cat_config']['archive']; }?>"></td>
                                      <td><input type="checkbox" name="cat_config[show_archive]" value="1" <?php if ($mod['cat_config']['show_archive']) { echo 'checked="checked"'; } ?>></td>
                                  </tr>
                                  <?php }?>
                                  <tr>
                                      <td bgcolor="#ffffff" valign="top" colspan="2"><div><b>   <b></div></td>
                                  </tr>
                                  <tr>
                                      <td colspan="2"><strong> ""</strong><br> , "  "  "  "</td>
                                  </tr>
                                  <tr>
                                      <td colspan="2"><input type="text" name="cat_config[more]" maxlenght="50" value="<?php if($mod['cat_config']['more']){ echo $mod['cat_config']['more']; }?>"></td>
                                  </tr>
                                  <?php if( $type == 'event' ){?>
                                  <tr>
                                      <td colspan="2"><strong> " :"</strong><br> , "  "</td>
                                  </tr>
                                  <tr>
                                      <td colspan="2"><input type="text" name="cat_config[place]" maxlenght="50" value="<?php if($mod['cat_config']['place']){ echo $mod['cat_config']['place']; }?>"></td>
                                  </tr>
                                  <?php } ?>
                                  <tr>
                                      <td bgcolor="#ffffff" valign="top" colspan="2"><div><b>    <b></div></td>
                                  </tr>
                                  <tr>
                                      <td colspan="2"><strong>    </strong><br> , ""  ""</td>
                                  </tr>
                                  <tr>
                                      <td colspan="2"><input type="text" name="cat_config[item]" maxlenght="50" value="<?php if($mod['cat_config']['item']){ echo $mod['cat_config']['item']; }?>"></td>
                                  </tr>
                                  <tr>
                                      <td colspan="2"><strong>   </strong><br> , ""</td>
                                  </tr>
                                  <tr>
                                      <td colspan="2"><input type="text" name="cat_config[sessions]" maxlenght="50" value="<?php if($mod['cat_config']['sessions']){ echo $mod['cat_config']['sessions']; }?>"></td>
                                  </tr>
                                  <tr>
                                      <td colspan="2"><strong> :</strong><br>       .</td>
                                  </tr>
                                  <tr>
                                      <td colspan="2">
                                         <select name="cat_config[period]">
                                           <option value="month" <?php if($mod['cat_config']['period'] == 'month'){ echo 'selected'; }?>>
                                           <option value="week" <?php if($mod['cat_config']['period'] == 'week'){ echo 'selected'; }?>>
                                           <option value="" <?php if($mod['cat_config']['period'] == '' || !$mod['cat_config']['period']){ echo 'selected'; }?>> 
                                         </select>
                                      </td>
                                  </tr>
                                  </table>

                            {tab=}

                                <table width="100%" cellpadding="0" cellspacing="0" border="0" class="checklist" style="margin-top:5px">
                                    <tr>
                                        <td width="20" valign="top">
                                            <?php
                                                $public = 'checked="checked"';
                                                $style  = 'disabled="disabled"';
                                                if ($opt == 'edit_cat'){
                                                    $ord = array();

                                                    if ($mod['access_list']){
                                                        $public = '';
                                                        $style  = '';

                                                        foreach($mod['access_list'] as $key=>$value){
                                                            $ord[] = $value;
                                                        }
                                                    }
                                                }
                                            ?>
                                            <input name="is_public" type="checkbox" id="is_public" onclick="checkGroupListAccess()" value="1" <?php echo $public;  ?> />
                                        </td>
                                        <td><label for="is_public"><strong> </strong></label></td>
                                    </tr>
                                </table>
                                <div style="padding:5px">
                                    <span class="hinttext">
                                         ,    .  ,      .
                                    </span>
                                </div>

                                <div style="margin-top:10px;padding:5px;padding-right:0px;" id="grp">
                                    <div>
                                        <strong> :</strong><br />
                                        <span class="hinttext">
                                              ,  CTRL.
                                        </span>
                                    </div>
                                    <div>
                                        <?php
                                            echo '<select style="width: 99%" name="showfor[]" id="showin" size="6" multiple="multiple" '.$style.'>';

                                            $sql    = "SELECT * FROM cms_user_groups";
                                            $result = dbQuery($sql) ;

                                            if (mysql_num_rows($result)){
                                                while ($item=mysql_fetch_assoc($result)){
                                                    echo '<option value="'.$item['id'].'"';
                                                    if ($opt=='edit_cat'){
                                                        if (inArray($ord, $item['id'])){
                                                            echo 'selected';
                                                        }
                                                    }

                                                    echo '>';
                                                    echo $item['title'].'</option>';
                                                }
                                            }

                                            echo '</select>';
                                        ?>
                                    </div>
                                </div>

                           {tab=}

                                <table width="100%" cellpadding="0" cellspacing="0" border="0" class="checklist" style="margin-top:5px">
                                    <tr>
                                        <td width="20" valign="top">
                                            <?php
                                                $closed = 'checked="checked"';
                                                $style  = 'disabled="disabled"';
                                                if ($opt == 'edit_cat'){
                                                    $ord = array();

                                                    if ($mod['editors']){
                                                        $closed = '';
                                                        $style  = '';

                                                        foreach($mod['editors'] as $key=>$value){
                                                            $ord[] = $value;
                                                        }
                                                    }
                                                }
                                            ?>
                                            <input name="is_closed" type="checkbox" id="is_closed" onclick="checkGroupListEditors()" value="1" <?php echo $closed;  ?> />
                                        </td>
                                        <td><label for="is_closed"><strong>  </strong></label></td>
                                    </tr>
                                </table>
                                <div style="padding:5px">
                                    <span class="hinttext">
                                         ,       .  ,      .
                                    </span>
                                </div>

                                <div style="margin-top:10px;padding:5px;padding-right:0px;" id="grp">
                                    <div>
                                        <strong> :</strong><br />
                                        <span class="hinttext">
                                              ,  CTRL.
                                        </span>
                                    </div>
                                    <div>
                                        <?php
                                            echo '<select style="width: 99%" name="editors[]" id="editin" size="6" multiple="multiple" '.$style.'>';

                                            $sql    = "SELECT * FROM cms_user_groups";
                                            $result = dbQuery($sql) ;

                                            if (mysql_num_rows($result)){
                                                while ($item=mysql_fetch_assoc($result)){
                                                    echo '<option value="'.$item['id'].'"';
                                                    if ($opt=='edit_cat'){
                                                        if (inArray($ord, $item['id'])){
                                                            echo 'selected';
                                                        }
                                                    }

                                                    echo '>';
                                                    echo $item['title'].'</option>';
                                                }
                                            }

                                            echo '</select>';
                                        ?>
                                    </div>
                                </div>

                            {/tabs}

                            <?php echo jwTabs(ob_get_clean()); ?>

                        </td>

                    </tr>
                </table>
                <p>
                    <input type="hidden" name="type" value="<?php echo $type; ?>">
                    <input name="add_mod" type="submit" id="add_mod" <?php if ($do=='add_cat') { echo 'value=" "'; } else { echo 'value=" "'; } ?> />
                    <input name="back" type="button" id="back" value="" onclick="window.history.back();"/>
                    <input name="opt" type="hidden" id="opt" <?php if ($opt=='add_cat') { echo 'value="submit_cat"'; } else { echo 'value="update_cat"'; } ?> />
                    <?php
                        if ($opt=='edit_cat'){
                            echo '<input name="item_id" type="hidden" value="'.$mod['id'].'" />';
                        }
                    ?>
                </p>
            </form>

		 <?php
	}
	
//=================================================================================================//
//=================================================================================================//

	if ($opt == 'submit_cat'){

		$cat['title']                   = $inCore->request('title', 'str','');
		$cat['description']             = $inCore->request('description', 'html', '');
		$cat['published']               = $inCore->request('published', 'int', 1);
		$cat['is_public']               = $inCore->request('is_public', 'int', 0);
    $cat['is_closed']               = $inCore->request('is_closed', 'int', 0);
    $cat['cat_config']              = $inCore->request('cat_config', 'array',0);
    
    if($cat['cat_config']){
        foreach($cat['cat_config'] as $k=>&$v){
            $cat['cat_config']["$k"] = htmlspecialchars(strip_tags($v));
        }
        $cat['cat_config'] =$inCore->arrayToYaml($cat['cat_config']);
    }

        if (!$cat['is_public']){
            $showfor = $_REQUEST['showfor'];
            if (sizeof($showfor)>0){
                $cat['showfor'] = $inCore->arrayToYaml($showfor);
            }else{ $cat['showfor'] = ''; }
        }
        if (!$cat['is_closed']){
            $editors = $_REQUEST['editors'];
            if (sizeof($editors)>0){
                $cat['editors'] = $inCore->arrayToYaml($editors);
            }else{ $cat['editors'] = ''; }
        }

        $cat['id'] = $model->addCategory($cat, $type);

		$inCore->redirect('?view=components&do=config&id='.$_REQUEST['id'].'&opt=list_items&cat_id='.$cat['id'].'&type='.$type);

    }
    
//=================================================================================================//
//=================================================================================================//

	if ($opt == 'update_cat'){
		if($inCore->inRequest('item_id')) {

			$id = $inCore->request('item_id', 'int');

            $cat['title']                   = $inCore->request('title', 'str', '');
            $cat['description']             = $inCore->request('description', 'html', '');
            $cat['published']               = $inCore->request('published', 'int', 1);
		        $cat['is_public']               = $inCore->request('is_public', 'int', 0);
            $cat['is_closed']               = $inCore->request('is_closed', 'int', 0);
            $cat['cat_config']              = $inCore->request('cat_config', 'array',0);

            if($cat['cat_config']){
                foreach($cat['cat_config'] as $k=>&$v){
                     $cat['cat_config']["$k"] = htmlspecialchars(strip_tags($v));
                }
                $cat['cat_config'] =$inCore->arrayToYaml($cat['cat_config']);
            }

           if (!$cat['is_public']){
            $showfor = $_REQUEST['showfor'];
            if (sizeof($showfor)>0){
                $cat['showfor'] = $inCore->arrayToYaml($showfor);
            }else{ $cat['showfor'] = ''; }
          }
          if (!$cat['is_closed']){
            $editors = $_REQUEST['editors'];
            if (sizeof($editors)>0){
                $cat['editors'] = $inCore->arrayToYaml($editors);
            }else{ $cat['editors'] = ''; }
          }
          
          $model->updateCategory($id, $cat, $type);

			    $inCore->redirect('?view=components&do=config&id='.$_REQUEST['id'].'&opt=list_items&cat_id='.$id);

		}
	}
	
//=================================================================================================//
//=================================================================================================//

	if($opt == 'move_items'){

		if ($inCore->inRequest('item')){

            $items      = $inCore->request('item', 'array', 0);
            $to_cat_id  = $inCore->request('obj_id', 'int', 0);

            $model->moveItemsToCat($items, $to_cat_id, $type);

		}

		$inCore->redirect('?view=components&do=config&id='.$_REQUEST['id'].'&opt=list_items&cat_id='.$to_cat_id.'&type='.$type);

	}
	
//=================================================================================================//
//=================================================================================================//

	if($opt == 'move_items_page'){

		if ($inCore->inRequest('item')){

            $items      = $inCore->request('item', 'array');
            $cat_id     = $inCore->request('cat_id', 'int', 0);
            $page       = $inCore->request('page', 'int', 0);
            $to_page    = $inCore->request('to_page', 'int', 0);
            $perpage    = $inCore->request('perpage', 'int', 0);

            $offset     = ($page - $to_page) * $perpage;

            $model->moveItemsOffset($items, $cat_id, $offset, $type);

		}

		$inCore->redirectBack();

	}
	
//=================================================================================================//
//=================================================================================================//

	if($opt == 'delete_item'){

		if ($inCore->inRequest('item_id')){
			$id = $inCore->request('item_id', 'int', 0);
			$model->deleteItems($id, $type);
		}

		if ($inCore->inRequest('item')){
			$items = $inCore->request('item', 'array');
			$model->deleteItems($items, $type);
		}


		$inCore->redirect('?view=components&do=config&id='.$_REQUEST['id'].'&opt=list_items&type='.$type);
	}
	
//=================================================================================================//
//=================================================================================================//

	if($opt == 'delete_cat'){
		if($inCore->inRequest('item_id')) {
			$id = $inCore->request('item_id', 'int');
            $model->deleteCategory($id, $type);
		}
		$inCore->redirect('?view=components&do=config&id='.$_REQUEST['id'].'&opt=list_items&type='.$type);
	}
	
//=================================================================================================//
//=================================================================================================//

	if($opt=='saveconfig'){

		$cfg = array();

        //$cfg['main_cat']            = $inCore->request('main_cat', 'int', 0);
        $cfg['main_orderby']        = $inCore->request('main_orderby', 'str', 'ordering');
        $cfg['main_orderto']        = $inCore->request('main_orderto', 'str', 'ASC');
        $cfg['img_small_w']         = $inCore->request('img_small_w', 'int', 0);
        $cfg['img_big_w']           = $inCore->request('img_big_w', 'int', 0);
        $cfg['img_sqr']             = $inCore->request('img_sqr', 'int', 0);
        $cfg['rss_all']             = $inCore->request('rss_all', 'int', 0);
        $cfg['rss_one']             = $inCore->request('rss_one', 'int', 0);
        $cfg['menu_up']             = $inCore->request('menu_up', 'int', 0);
        $cfg['menu_left']           = $inCore->request('menu_left', 'int', 0);
        $cfg['show_end']            = $inCore->request('show_end', 'int', 0);
        $cfg['title']               = $inCore->request('title', 'str', '');
        $cfg['one_city']            = $inCore->request('one_city', 'int', 0);
        $cfg['main_city']           = trim($inCore->request('main_city', 'str', ''));
        $cfg['thanks']              = $inCore->request('thanks', 'int', 0);
        $cfg['perpage']             = $inCore->request('perpage', 'int', 0);
        $cfg['subscribe']            = $inCore->request('subscribe', 'int', 0);
        $cfg['subs_limit']            = $inCore->request('subs_limit', 'int', 0);
        $cfg['subs_mail']            = $inCore->request('subs_mail', 'int', 0);
        
        $prefixes_text          = trim($inCore->request('prefixes_text', 'html', ''));
        $prefixes               = explode("\n", $prefixes_text);

        foreach ($prefixes as $prefix){
            $p = explode('|', $prefix);
            $cfg['prefixes'][$p[0]] = $p[1];
        }

        $cfg['title'] = htmlspecialchars(strip_tags($cfg['title']));
        $cfg['main_city'] = htmlspecialchars(strip_tags($cfg['main_city']));

        $inCore->saveComponentConfig('poster', $cfg);

        $msg = '  ';

        $opt = 'config';

	}

//=================================================================================================//
//=================================================================================================//

	if ($opt == 'config') {

        $cfg['prefixes_text'] = '';
        foreach($cfg['prefixes'] as $full=>$short){
            $cfg['prefixes_text'] .= $full . '|' . $short . "\n";
        }

		cpAddPathway('', $_SERVER['REQUEST_URI']);

        $GLOBALS['cp_page_head'][] = '<script type="text/javascript" src="/includes/jquery/tabs/jquery.ui.min.js"></script>';
        $GLOBALS['cp_page_head'][] = '<link href="/includes/jquery/tabs/tabs.css" rel="stylesheet" type="text/css" />';

        if (@$msg){
            echo '<p style="color:green">'.$msg.'</p>';
        }

         ?>
 <form action="/admin/index.php?view=components&amp;do=config&amp;id=<?php echo $_REQUEST['id'];?>" method="post" name="optform" target="_self" id="form1">

    <div id="config_tabs" style="margin-top:12px;">

        <ul id="tabs">
            <li><a href="#basic"><span></span></a></li>
            <li><a href="#objekts"><span></span></a></li>
            <li><a href="#events"><span></span></a></li>
            <li><a href="#binds"><span></span></a></li>
            <li><a href="#images"><span></span></a></li>
            <li><a href="#subscribes"><span></span></a></li>
        </ul>

        <div id="basic">
            <table class="proptable" width="" cellspacing="0" cellpadding="5" border="0" style="border:none">
              <tbody>
              <!-- <tr>
                  <td width="250">
                    <strong>   :</strong><br/>
                    <span class="hinttext">
                                  
                    </span>
                  </td>
                  <td>
                    <select name="main_cat">
                        <?php echo $inCore->getListItems('cms_poster_eventcats', $cfg['main_cat']); ?>
                    </select>
                  </td>
               </tr>
               <tr> -->
                  <td width="250">
                    <strong>   :</strong><br/>
                    <span class="hinttext">
                                   .
                    </span>
                  </td>
                  <td>
                    <select name="main_orderby">
                        <option value="ordering" <?php if($cfg['main_orderby']=='ordering'){ ?>selected="selected"<?php } ?>> </option>
                        <option value="title" <?php if($cfg['main_orderby']=='title'){ ?>selected="selected"<?php } ?>> </option>
                        <option value="id" <?php if($cfg['main_orderby']=='id'){ ?>selected="selected"<?php } ?>> id</option>
                        <option value="rating" <?php if($cfg['main_orderby']=='rating'){ ?>selected="selected"<?php } ?>> </option>
                    </select>
                  </td>
               </tr>
               <tr>
                  <td width="250">
                    <strong>   :</strong><br/>
                    <span class="hinttext">
                                  .
                    </span>
                  </td>
                  <td>
                    <select name="main_orderto">
                        <option value="asc" <?php if($cfg['main_orderto']=='asc'){ ?>selected="selected"<?php } ?>> </option>
                        <option value="desc" <?php if($cfg['main_orderto']=='desc'){ ?>selected="selected"<?php } ?>> </option>
                    </select>
                  </td>
               </tr>
               <tr>
                  <td colspan="3">
                      <table class="proptable" width="" cellspacing="0" cellpadding="5" border="0" style="border:none">
                        <tbody>
                          <tr>
                            <td colspan="2" valign="top" bgcolor="#EBEBEB"><h4>  </h4></td>
                          </tr>
                          <tr>
                            <td valign="top"><strong>  : </strong></td>
                            <td valign="top">
                                <input name="menu_up" type="radio" value="1" <?php if (@$cfg['menu_up']) { echo 'checked="checked"'; } ?> />  
                                <input name="menu_up" type="radio" value="0" <?php if (@!$cfg['menu_up']) { echo 'checked="checked"'; } ?>/>  
                            </td>
                          </tr>
                          <tr>
                            <td valign="top"><strong>    : </strong></td>
                            <td valign="top">
                                <input name="menu_left" type="radio" value="1" <?php if (@$cfg['menu_left']) { echo 'checked="checked"'; } ?> /> 
                                <input name="menu_left" type="radio" value="0" <?php if (@!$cfg['menu_left']) { echo 'checked="checked"'; } ?>/> 
                            </td>
                          </tr>
                        </tbody>
                      </table>
                  </td>
               </tr>
               <tr>
                  <td colspan="2" valign="top" bgcolor="#EBEBEB"><h4>  :</h4></td>
               </tr>
               <tr>
                  <td>
                      <strong>:</strong><br/>
                      <span class="hinttext">
                            ,         .
                      </span>
                  </td>
                  <td>
                     <input name="perpage" type="text" size="5" value="<?php if(@$cfg['perpage']){ echo $cfg['perpage']; }?>"> &nbsp; .
                  </td>
               </tr>
               <tr>
                  <td colspan="2" valign="top" bgcolor="#EBEBEB"><h4> :</h4></td>
               </tr>
               <tr>
                  <td>
                      <strong> :</strong><br/>
                      <span class="hinttext">
                         , "."   "1 .".
                      </span>
                  </td>
                  <td>
                     <input name="title" type="text" maxlenght="20" value="<?php if(@$cfg['title']){ echo $cfg['title']; }?>">
                  </td>
               </tr>
               <tr>
                  <td colspan="3">
                      <table class="proptable" width="" cellspacing="0" cellpadding="5" border="0" style="border:none">
                        <tbody>
                          <tr>
                            <td colspan="2" valign="top" bgcolor="#EBEBEB"><h4>   </h4></td>
                          </tr>
                          <tr>
                            <td valign="top" width="250">
                               <strong>  : </strong><br>
                               <span class="hinttext">
                                       .
                               </span>
                            </td>
                            <td valign="top">
                                <input name="one_city" type="radio" value="1" <?php if (@$cfg['one_city']) { echo 'checked="checked"'; } ?> /> 
                                <input name="one_city" type="radio" value="0" <?php if (@!$cfg['one_city']) { echo 'checked="checked"'; } ?>/> 
                            </td>
                          </tr>
                          <tr>
                            <td valign="top" width="250">
                               <strong>  : </strong><br>
                               <span class="hinttext">
                                        ,         
                                  (   ). <font color="red">   ,         
                                      ,         .</font>
                               </span>
                            </td>
                            <td valign="top">
                                <input name="main_city" type="text" maxlenght="30" value="<?php if($cfg['main_city']){ echo $cfg['main_city']; }?>">
                            </td>
                          </tr>
                        </tbody>
                      </table>
                  </td>
               </tr>
               <tr>
                  <td colspan="2" valign="top" bgcolor="#EBEBEB"><h4> )</h4></td>
               </tr>
               <tr>
                  <td>
                      <strong> </strong><br/>
                      <span class="hinttext">
                                  .
                      </span>
                  </td>
                  <td>
                     <input name="thanks" type="checkbox" value="1" <?php if(@$cfg['thanks']){ echo "checked='checked'"; }?>>
                  </td>
               </tr>
              </tbody>
            </table>
        </div>

        <div id="objekts">
            <table class="proptable" width="" cellspacing="0" cellpadding="5" border="0" style="border:none">
              <tbody>
               <tr>
                  <td width="250">
                    <strong> :</strong><br/>
                    <p>
                    <span class="hinttext">
                             .<br/>
                                  :<br/>
                       <strong style="color:gray">< >|< ></strong>
                   </span>
                   </p>
                   <p>
                   <span class="hinttext">
                             ,   .<br/>
                              .
                   </span>
                   </p>
                    <div>
                        <textarea name="prefixes_text" style="width:600px;height:200px"><?php echo $cfg['prefixes_text']; ?></textarea>
                    </div>
                  </td>
                </tr>
              <tbody>
            </table>

        </div>

        <div id="events">
            <table class="proptable" width="" cellspacing="0" cellpadding="5" border="0" style="border:none">
              <tbody>
               <tr>
                 <td colspan="2" valign="top" bgcolor="#EBEBEB"><h4>RSS  </h4></td>
               </tr>
               <tr>
                 <td valign="top"><strong>  RSS   : </strong></td>
                 <td valign="top">
                    <input name="rss_all" type="radio" value="1" <?php if (@$cfg['rss_all']) { echo 'checked="checked"'; } ?> /> 
                    <input name="rss_all" type="radio" value="0" <?php if (@!$cfg['rss_all']) { echo 'checked="checked"'; } ?>/> 
                 </td>
               </tr>
               <tr>
                 <td valign="top"><strong>  RSS   : </strong></td>
                 <td valign="top">
                    <input name="rss_one" type="radio" value="1" <?php if (@$cfg['rss_one']) { echo 'checked="checked"'; } ?> /> 
                    <input name="rss_one" type="radio" value="0" <?php if (@!$cfg['rss_one']) { echo 'checked="checked"'; } ?>/> 
                 </td>
               </tr>
              </tbody>
            </table>
        </div>

        <div id="binds">
             <table class="proptable" width="" cellspacing="0" cellpadding="5" border="0" style="border:none">
              <tbody>
               <tr>
                 <td valign="top"><strong>  : </strong></td>
                 <td valign="top">
                    <input name="show_end" type="radio" value="1" <?php if (@$cfg['show_end']) { echo 'checked="checked"'; } ?> /> 
                    <input name="show_end" type="radio" value="0" <?php if (@!$cfg['show_end']) { echo 'checked="checked"'; } ?>/> 
                 </td>
               </tr>
              </tbody>
             </table>

        </div>


        <div id="images">
             <table class="proptable" width="" cellspacing="0" cellpadding="5" border="0" style="border:none">
              <tbody>
               <tr>
                  <td width="250">
                    <strong>  :</strong><br/>
                    <span class="hinttext">
                         .
                        <font color="red">   .     ,
                             ""   .</font>
                    </span>
                  </td>
                  <td>
                    <input type="text" name="img_small_w" value="<?php echo $cfg['img_small_w']?>">
                  </td>
               </tr>
               <tr>
                  <td width="250">
                    <strong>  :</strong><br/>
                    <span class="hinttext">
                         
                    </span>
                  </td>
                  <td>
                    <input type="text" name="img_big_w" value="<?php echo $cfg['img_big_w']?>">
                  </td>
                </tr>
                <tr>
                  <td width="250">
                    <strong>:</strong><br/>
                    <span class="hinttext">
                              ?
                    </span>
                  </td>
                  <td>
                    <input type="checkbox" name="img_sqr" value="1" <?php if($cfg['img_sqr'] == 1){echo 'checked';}?> >
                  </td>
               </tr>
              <tbody>
            </table>
        </div>

        <div id="subscribes">
            <table class="proptable" width="" cellspacing="0" cellpadding="5" border="0" style="border:none">
              <tbody>
               <tr>
                  <td valign="top" width="250">
                    <strong>   : </strong><br>
                    <span class="hinttext">
                          "".    CRON  ,
                          .         
                      (->-> CRON)
                    </span>
                  </td>
                  <td valign="top">
                     <input name="subscribe" type="radio" value="1" <?php if (@$cfg['subscribe']) { echo 'checked="checked"'; } ?> /> 
                     <input name="subscribe" type="radio" value="0" <?php if (@!$cfg['subscribe']) { echo 'checked="checked"'; } ?>/> 
                  </td>
               </tr>
               <tr>
                  <td>
                      <strong> ,        CRON:</strong><br/>
                      <span class="hinttext">
                           20 .          ,  
                                 CRON   .
                      </span>
                  </td>
                  <td>
                     <input name="subs_limit" type="text" size="5" value="<?php if(@$cfg['subs_limit']){ echo $cfg['subs_limit']; }?>"> &nbsp; .
                  </td>
               </tr>
               <tr>
                  <td valign="top" width="250">
                    <strong>    e-mail: </strong><br>
                    <span class="hinttext">
                                     e-mail   .
                                 
                      ,    .         .
                    </span>
                  </td>
                  <td valign="top">
                     <input name="subs_mail" type="radio" value="1" <?php if (@$cfg['subs_mail']) { echo 'checked="checked"'; } ?> /> 
                     <input name="subs_mail" type="radio" value="0" <?php if (@!$cfg['subs_mail']) { echo 'checked="checked"'; } ?>/> 
                  </td>
               </tr>
              </tbody>
            </table>
        </div>

    <p>
        <input name="opt" type="hidden" value="saveconfig" />
        <input name="save" type="submit" id="save" value="" />
        <input name="back" type="button" id="back" value="" onclick="window.location.href='index.php?view=components&do=config&id=<?php echo $_REQUEST['id'];?>&opt=list_items';"/>
    </p>

</form>

<script type="text/javascript">$('#config_tabs > ul#tabs').tabs();</script>

<?php }
//=================================================================================================//
//=================================================================================================//
    if($opt == 'add_bind'){
          cpAddPathway('   ', $_SERVER['REQUEST_URI']);
          ?>
       <form action="/poster/newbind.html" method="post" target="_blank">
       <table class="proptable" width="" cellspacing="0" cellpadding="5" border="0" style="border:none">
         <tbody>
           <tr>
             <td width="250">
                 <strong> :</strong><br/>
                 <span class="hinttext">
                         "",     
                      .
                 </span>
             </td>
             <td>
                 <select name="item_id" style="width:250px">
                 <?php
                    if($type=='event'){ $table = 'cms_poster_eventcats'; }else{ $table = 'cms_poster_objcats'; }
                    $selected_id = $inDB->get_field('cms_poster_objekts','1>0', 'MAX(id)');
                    echo $inCore->getListItems("cms_poster_objekts", $selected_id);
                 ?>
                 </select>
             </td>
           </tr>
           <tr>
             <td></td>
             <td>
                <input type="hidden" name="step" value="1">
                <input type="hidden" name="type" value="objekt">
                <input type="submit" value="">
                <input name="back" type="button" id="back" value="" onclick="window.location.href='index.php?view=components&do=config&id=<?php echo $_REQUEST['id'];?>&opt=list_items';"/>
             </td>
           </tr>
         </tbody>
       </table>

          <?php
    }
//=================================================================================================//
//=================================================================================================//
  //php
?>
