<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                         component "Poster"                                  //
//                       written by Marat Fatikhov                             //
//                      (nickname  on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

header('Content-Type: text/html; charset=windows-1251');
header('Cache-Control: no-cache');

session_start();

define("VALID_CMS", 1);
define('PATH', $_SERVER['DOCUMENT_ROOT']);

include(PATH.'/core/cms.php');

$inCore = cmsCore::getInstance();

$inCore->loadClass('db');
$inCore->loadClass('user');
$inCore->loadClass('config');
cmsCore::loadLanguage('lang');
cmsCore::loadLanguage('components/poster');
$cfg = $inCore->loadComponentConfig('poster');

$inDB   = cmsDatabase::getInstance();
$inUser = cmsUser::getInstance();

$inUser->update();

$inCore->loadModel('poster');
$model = new cms_model_poster();
$inCore->includeFile('components/poster/includes/postercore.php');

//  
$item_id = $inCore->request('item_id', 'int', 0);
$type = $inCore->request('type', 'str' , '');

if(!$item_id || !$type){ return false; }
if($type != 'event' && $type != 'objekt'){ return false; }

$html='';
$item = array();
$item = $model->getItemShort($item_id, $type, $inUser->is_admin);
$item['cat_config'] = $inCore->yamlToArray($item['cat_config']);

// 
$binds = array();
$binds = $model->getBinds($item_id, $type, date('Y-m-d'), true);
if(!$binds){
   echo $_LANG['THERE_ARE_NO_SESSIONS_LAST_DAYS'];
   return;
}
foreach($binds as &$bnd){
  $bnd['time_list'] = $inCore->yamlToArray($bnd['time_list']);
}
ob_start();
?>
<div style="margin-top:25px;"><h3><?php echo $_LANG['SCHEDULE'].'-'.$item['title'].', '.$_LANG['SESSIONS_LAST_DAYS'];?></h3></div>
<table width="100%">
  <tr><td colspan="6"><hr></td></tr>
  <tr>
    <th align="left" width="300px">
    <?php if($item['cat_config']['item']){
       echo $item['cat_config']['item'];
    }elseif($type == 'objekt'){
       echo $LANG['EVENT'];
       }else{ echo $LANG['OBJEKT'];} ?>
    </th>
    <th align="left" width="150px">
       <?php echo $_LANG['DAYS']; ?>
    </th>
    <th align="left">
    <?php if($item['cat_config']['sessions']){
       echo $item['cat_config']['sessions'];
    }else{
       echo $LANG['SESSIONS'];
    } ?>
    </th><th></th>
  </tr>
  <tr><td colspan="6"><hr></td></tr>
  <?php foreach($binds as $b=>$bind){ ?>
  <tr>
    <td><a href="/poster/prosmotr/<?php if($type == 'event'){ echo 'zavedenija/';} echo $bind['cat_seolink'].'/'.$bind['seolink'].'.html">'.$bind['title']; ?></a></td>
    <?php if($bind['all_days']){ ?>
    <td>
       <?php echo $bind['start_date'].' - '.$bind['end_date'];?>
    </td>
    <?php }else{?>
    <td width="200px">
       <ul>
       <?php foreach($bind['time_list'] as $day=>$sess){?>
            <?php foreach($sess as $ses){
              if(!$y){?>
              <li style="margin-left: -30px;">
                 <?php echo $day; $y=1;?>
              </li>
            <?php
              }else{echo '<br>';}
            } $y=0; echo '<hr>';?>
       <?php } ?>
       </ul>
    </td>
    <?php } ?>
    <td>
      <ul>
       <?php foreach($bind['time_list'] as $sess){?>
            <?php foreach($sess as $ses){ ?>
              <li style="margin-left: -30px;">
                 <?php echo $ses['start_h'].' - '.$ses['start_m'];?>
              </li>
            <?php } echo '<hr>';
            } ?>
       </ul>
    </td>
    <td>
    </td>
  </tr>
  <tr><td colspan="6"><hr></td></tr>
  <?php } ?>
</table>
<?php
$html= ob_get_clean();
echo $html;
?>
