<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                         component "Poster"                                  //
//                       written by Marat Fatikhov                             //
//                      (nickname  on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function poster(){

    $inCore = cmsCore::getInstance();
    $inPage = cmsPage::getInstance();
    $inDB   = cmsDatabase::getInstance();
    $inUser = cmsUser::getInstance();

    global $_LANG;
    
    $inCore->loadModel('poster');
    $model = new cms_model_poster();
    $inCore->includeFile('components/poster/includes/postercore.php');
    
    //
    $inCore->loadLib("tags");
    
    //  
	$cfg = $inCore->loadComponentConfig('poster');
	//    
	if(!$cfg['component_enabled']) { cmsCore::error404(); }
	
  //  -
  //if (!isset($cfg['main_cat'])) { $cfg['main_cat'] = 1; }
  if (!isset($cfg['main_orderby'])) { $cfg['main_orderby'] = 'ordering'; }
  if (!isset($cfg['main_orderto'])) { $cfg['main_orderto'] = 'asc'; }
  if (!isset($cfg['img_small_w'])) { $cfg['img_small_w'] = 100; }
  if (!isset($cfg['img_big_w'])) { $cfg['img_big_w'] = 300; }
  if (!isset($cfg['img_sqr'])) { $cfg['img_sqr'] = 1; }
  if (!isset($cfg['rss_all'])) { $cfg['rss_all'] = 1; }
  if (!isset($cfg['rss_one'])) { $cfg['rss_one'] = 1; }
  if (!isset($cfg['menu_up'])) { $cfg['menu_up'] = 1; }
  if (!isset($cfg['menu_left'])) { $cfg['menu_left'] = 1; }
  if (!isset($cfg['show_end'])) { $cfg['show_end'] = 1; }
  if (!isset($cfg['title'])) { $cfg['title'] = ''; }
  if (!isset($cfg['one_city'])) { $cfg['one_city'] = 1; }
  if (!isset($cfg['main_city'])) { $cfg['main_city'] = ''; }
  if (!isset($cfg['thanks'])) { $cfg['thanks'] = 0; }
  if (!isset($cfg['perpage'])) { $cfg['perpage'] = 10; }
  if (!isset($cfg['subscribe'])) { $cfg['subscribe'] = 0; }
  if (!isset($cfg['subs_limit'])) { $cfg['subs_limit'] = 20; }
  if (!isset($cfg['subs_mail'])) { $cfg['subs_mail'] = 0; }
  if (!isset($cfg['prefixes'])) { $cfg['prefixes'] = array(
                 '' => '.',
                 '' => '.',
                 '' => '-',
                 '' => '-',
                 '' => '',
                 '' => '',
                 '' => '.',
                 '' => '',
                 '' => '.'
            ); }

  //  
  $do 		= $inCore->request('do', 'str', 'main');
  $cat_id = $inCore->request('cat_id', 'int', 0);
  $objekt_id = $inCore->request('objekt_id', 'int', 0);
  $event_id =  $inCore->request('event_id', 'int', 0);

  $inPage->addPathway($_LANG['POSTER'], '/poster');


/////////      ///////////////////////////////////////////
if($do == 'frommaps'){

  //     
  if(!$inCore->isComponentInstalled('maps')){ cmsCore::error404(); }
  $maps_cfg = $inCore->loadComponentConfig('maps');

  $maps_cat_id = $inCore->request('maps_cat_id', 'int', 0);
  $maps_item_id = $inCore->request('maps_item_id', 'int', 0);
  $step = $inCore->request('step', 'int', 0);

  //     
  if($inCore->inRequest('savebtn')){
      $do = 'newobjekt';
  }

  //   
  if(!$step && (!$inCore->inRequest('savebtn'))){
      if(!$inDB->isTableExists('cms_map_cats')){
          cmsCore::addSessionMessage($_LANG['NO_CATEGORIES_TABLE_IN_MAPS'], 'error');
          $inCore->redirectBack();
      }
      $maps_cat_options = $inCore->getListItemsNS('cms_map_cats');
      if(!$maps_cat_options){
           cmsCore::addSessionMessage($_LANG['NO_CATEGORIES_IN_MAPS'], 'error');
           $inCore->redirectBack();
       }
   }
   //  
   if($step == 1){
       if(!$maps_cat_id){ cmsCore::error404(); }
       if(!$inDB->isTableExists('cms_map_items')){
           cmsCore::addSessionMessage($_LANG['NO_ITEMS_TABLE_IN_MAPS'], 'error');
           $inCore->redirectBack();
       }
       $maps_item_options = $inCore->getListItems('cms_map_items', 0, 'id', 'ASC', "category_id='{$maps_cat_id}'");
       if(!$maps_item_options){
           cmsCore::addSessionMessage($_LANG['NO_ITEMS_IN_MAPS'], 'error');
           $inCore->redirectBack();
       }
  }
   //       
   if($step ==2){
      if(!$maps_item_id){ cmsCore::error404(); }
      $obj = array();
      $obj = $model->getMapsItem($maps_item_id);
      if(!$obj){ cmsCore::error404(); }
      $obj['contacts'] = $inCore->yamlToArray($obj['contacts']);
      $obj['phone'] = $obj['contacts']['phone'];
      $obj['website'] =  $obj['contacts']['url'];
      $obj['inmaps_id'] = $obj['id'];
      //   
      $do = 'newobjekt';
   }

   if($step != 2 && (!$inCore->inRequest('savebtn'))){
        //
        $smarty = $inCore->initSmarty('components', 'com_poster_newobjekt.tpl');

         $smarty->assign('do', $do);
         $smarty->assign('step', $step);
         $smarty->assign('LANG', $_LANG);
         $smarty->assign('cat_id', $cat_id);
         $smarty->assign('maps_cat_options', $maps_cat_options);
         $smarty->assign('maps_item_options', $maps_item_options);
         $smarty->display('com_poster_newobjekt.tpl');
  }
}
/////////     ///////////////////////////////////////////
if($do == 'newobjekt' || $do == 'editobjekt'){

      //     ,      
      if(!$obj){ //     
        $obj = cmsUser::sessionGet('obj');
			  if ($obj) { cmsUser::sessionDel('obj'); }
      }

     if($do == 'editobjekt'){
         if(!$objekt_id){die($_LANG['NO_OBJEKT']);}
         $obj = array();
         $obj = $model->getItem($objekt_id, 'objekt', $inUser->is_admin);
         if(!$obj){die($_LANG['OBJEKT_IS_NOT_RECEIVED']);}
         $cat_id =  $obj['cat_id'];
         $photos = array();
         $photos = getImages($objekt_id);
         if($photos){$obj['photos'] = $photos;}
         // option     
         $users_list = array();
         $users_list = $inCore->getListItems('cms_users', $obj['owner_id'], 'nickname', 'ASC', 'is_deleted=0 AND is_locked=0', 'id', 'nickname');
         //      ,  
        if( !$inUser->id || (($inUser->id) != $obj['owner_id'] && !($inUser->is_admin))){die($_LANG['EDIT_OBJEKT_ACCESS_DENIED']);}
     }

     //  
     if(($do == 'newobjekt') && (!checkEditorsAccess($cat_id))){ die($_LANG['CREATE_OBJEKT_ACCESS_DENIED']);}

     //  
     if(!$inCore->inRequest('savebtn')){

        if($do == 'newobjekt'){
          $inPage->setTitle($_LANG['CREATE_OBJEKT']);
          $inPage->addPathway($_LANG['CREATE_OBJEKT']);
         }
        if($do == 'editobjekt'){

          $inPage->setTitle($_LANG['EDIT_OBJEKT']);
          $inPage->addPathway($obj['title'], '/poster/prosmotr/zavedenija/'.$obj['cat_seolink'].'/'.$obj['seolink'].'.html');
          $inPage->addPathway($_LANG['EDIT_OBJEKT']);
         }
        // option 
         $option_cat = $inCore->getListItems('cms_poster_objcats', $cat_id);
         //   
         $is_maps = $inCore->isComponentInstalled('maps');

         $smarty = $inCore->initSmarty('components', 'com_poster_newobjekt.tpl');

         $smarty->assign('obj', $obj);
         $smarty->assign('do', $do);
         $smarty->assign('LANG', $_LANG);
         $smarty->assign('cat_id', $cat_id);
         $smarty->assign('prefixes', $cfg['prefixes']);
         $smarty->assign('option_cat', $option_cat);
         $smarty->assign('is_admin', $inUser->is_admin);
         $smarty->assign('users_list', $users_list);
         $smarty->assign('is_maps', $is_maps);
         $smarty->display('com_poster_newobjekt.tpl');
      }


   if($inCore->inRequest('savebtn')){
    $errors = false;

    //   
     $category_id = $inCore->request('category_id', 'int', '');
     $cat_id =  $category_id ? $category_id : $cat_id;
    // 
     if(!$cat_id){die($_LANG['NO_CATEGORY']);}
    //  

    $newobjekt['title'] = trim($inCore->request('title', 'str', ''));
    $newobjekt['owner_id'] = $inCore->request('owner_id', 'int', 0);
    $newobjekt['addr_city'] = $inCore->request('addr_city', 'str', '');
    $newobjekt['addr_prefix'] = $inCore->request('addr_prefix', 'str', '');
    $newobjekt['addr_street'] = $inCore->request('addr_street', 'str', '');
    $newobjekt['addr_house'] = $inCore->request('addr_house', 'str', '');
    $newobjekt['phone'] = $inCore->request('phone', 'str', '');
    $newobjekt['website'] = $inCore->request('website', 'str', '');
    $newobjekt['description'] = $inCore->request('description', 'html', '');
    $newobjekt['shortdesc'] = $inCore->request('shortdesc', 'html', '');
    $newobjekt['inmaps_id'] = $inCore->request('inmaps_id', 'int', 0);
    
    $newobjekt['shortdesc'] = $inDB->escape_string($newobjekt['shortdesc']);
    $newobjekt['description'] = $inDB->escape_string($newobjekt['description']);
    
    $newobjekt['description'] = $inCore->badTagClear($newobjekt['description']);
    $newobjekt['shortdesc'] = $inCore->badTagClear($newobjekt['shortdesc']);
    
    if (!$newobjekt['title'] || (strlen($newobjekt['title'])<3)){ cmsCore::addSessionMessage($_LANG['REQ_TITLE'], 'error'); $errors = true; }
    //      
    if($do == 'newobjekt' && $model->checkTitle($newobjekt['title'], $cat_id)){ cmsCore::addSessionMessage($_LANG['OBJEKT_ALREADY_EXISTS'], 'error'); $errors = true; }

    $newobjekt['cat_id'] = $cat_id;

    if($newobjekt['owner_id'] == 0){
      //    ,
      // ,  ,  
      $newobjekt['owner_id'] = ($inUser->id) ? ($inUser->id): 0;
    }

    if($do == 'newobjekt' && !$errors){

      $newobjekt['id'] = $model->addObjekt($newobjekt);

    }
    if($do == 'editobjekt' && !$errors){
      $newobjekt['id'] = $objekt_id;
      $model->updateObjekt($newobjekt);
    }

    if(!$errors){
       //  
       $img_errors = false;
       $file = uploadImage($cat_id, $newobjekt['id'], 'basicphoto');
       if($file['error']){
          cmsCore::addSessionMessage($_LANG['UPLOADING_ERROR'].$file['name'].': '.$file['error'], 'error');
          $img_errors = true;
       }
       if($file['filename'] && !$img_errors){
          $model->addBasicPhoto($newobjekt['id'], $file['filename']);
       }
       //  
       $files = uploadImage($cat_id, $newobjekt['id'], 'upphotos', 'multi');
       foreach($files as $key=>$value){
          if($value['error']){
             cmsCore::addSessionMessage($_LANG['UPLOADING_ERROR'].$value['name'].': '.$value['error'], 'error');
             $img_errors = true;
          }
       }
      //      
      if(!$img_errors){
        $obj = array();
        $obj = $model->getItemShort($newobjekt['id'], 'objekt', $inUser->is_admin);
        $succ_message =  $_LANG['OBJEKT_SUCCESSFULLY_ADDED'].' <a href="/poster/objekt-'.$newobjekt['id'].'/newbind1.html">'.$_LANG['TO_BIND_EVENT'].'</a>';
        cmsCore::addSessionMessage($succ_message, 'info');
        $inCore->redirect('/poster/prosmotr/zavedenija/'.$obj['cat_seolink'].'/'.$obj['seolink'].'.html');
      }else{
        $inCore->redirect('/poster/'.$newobjekt['id'].'/editobjekt.html');
      }
    }
    //  
    if($errors){
        //    
        $obj['title'] = $newobjekt['title'];
        $obj['owner_id'] = $newobjekt['owner_id'];
        $obj['addr_city'] = $newobjekt['addr_city'];
        $obj['addr_prefix'] = $newobjekt['addr_prefix'];
        $obj['addr_street'] = $newobjekt['addr_street'];
        $obj['addr_house']  = $newobjekt['addr_house'];
        $obj['phone'] = $newobjekt['phone'];
        $obj['website'] = $newobjekt['website'];
        $obj['shortdesc'] = $newobjekt['shortdesc'];
        $obj['description'] = $newobjekt['description'];
        $obj['cat_id'] =  $newobjekt['cat_id'];
        cmsUser::sessionPut('obj', $obj);
        
        cmsCore::addSessionMessage($_LANG['OBJEKT_WAS_NOT_CREATED'], 'error');
        $inCore->redirectBack();
    }

  }
}

/////////////     ///////////////////////////////
if($do == 'newevent' || $do == 'editevent'){

     //     ,      
			$event = cmsUser::sessionGet('event');
			if ($event) { cmsUser::sessionDel('event'); }

     if($do == 'editevent'){
         if(!$event_id){die($_LANG['NO_EVENT']);}
         $event = array();
         $event = $model->getItem($event_id, 'event', $inUser->is_admin);
         // [video]
         $event['video_code'] = preg_replace('/\\[\/*video\\]/is', '', $event['video_code']);
         if(!$event){die($_LANG['EVENT_IS_NOT_RECEIVED']);}
         $cat_id =  $event['cat_id'];
         $photos = array();
         $photos = getImages($event_id, 'event');
         if($photos){$event['photos'] = $photos;}
         // option     
         $users_list = array();
         $users_list = $inCore->getListItems('cms_users', $event['author_id'], 'nickname', 'ASC', 'is_deleted=0 AND is_locked=0', 'id', 'nickname');
         // ,   
         $event['tagline'] = isset($event['id']) ? cmsTagLine('posterevent', $event['id'], false) : '';
         //      ,  
        if( !$inUser->id || (($inUser->id) != $event['author_id'] && !($inUser->is_admin))){die($_LANG['EDIT_EVENT_ACCESS_DENIED']);}
     }
     
     //  
     if(($do == 'newevent') && (!checkEditorsAccess($cat_id, 'event'))){ die($_LANG['CREATE_EVENT_ACCESS_DENIED']);}

      //  
     if(!$inCore->inRequest('savebtn')){

        if($do == 'newevent'){
          $inPage->setTitle($_LANG['CREATE_EVENT']);
          $inPage->addPathway($_LANG['CREATE_EVENT']);
         }
         if($do == 'editevent'){
          $inPage->setTitle($_LANG['EDIT_EVENT']);
          $inPage->addPathway($event['title'], '/poster/prosmotr/'.$event['cat_seolink'].'/'.$event['seolink'].'.html');
          $inPage->addPathway($_LANG['EDIT_EVENT']);
         }

         // option 
         $option_cat = $inCore->getListItems('cms_poster_eventcats', $cat_id);

         $smarty = $inCore->initSmarty('components', 'com_poster_newevent.tpl');

         $smarty->assign('event', $event);
         $smarty->assign('do', $do);
         $smarty->assign('LANG', $_LANG);
         $smarty->assign('cat_id', $cat_id);
         $smarty->assign('option_cat', $option_cat);
         $smarty->assign('is_admin', $inUser->is_admin);
         $smarty->assign('users_list', $users_list);
         $smarty->display('com_poster_newevent.tpl');
    }
     //
     if($inCore->inRequest('savebtn')){
      $errors = false;

     //   
     $category_id = $inCore->request('category_id', 'int', '');
     $cat_id =  $category_id ? $category_id : $cat_id;
     // 
     if(!$cat_id){die($_LANG['NO_CATEGORY']);}

    //  

      $newevent['title'] = trim($inCore->request('title', 'str', ''));
      $newevent['author_id'] = $inCore->request('author_id', 'int', 0);
      $newevent['tags'] = $inCore->request('tags', 'str', '');
      $newevent['video_code'] = trim($inCore->request('video_code', 'html', ''));
      $newevent['description'] = $inCore->request('description', 'html', '');
      $newevent['shortdesc'] = $inCore->request('shortdesc', 'html', '');

      $newevent['video_code'] = $inDB->escape_string($newevent['video_code']);
      $newevent['shortdesc'] = $inDB->escape_string($newevent['shortdesc']);
      $newevent['description'] = $inDB->escape_string($newevent['description']);

      if((preg_match('/^\\[video\\](.+)\\[\\/video\\]$/i', $newevent['video_code']) == 0) && $newevent['video_code']  ){
         $newevent['video_code'] = "[video]{$newevent['video_code']}[/video]";
      }
      $newevent['description'] = $inCore->badTagClear($newevent['description']);
      $newevent['shortdesc'] = $inCore->badTagClear($newevent['shortdesc']);

      if (!$newevent['title'] || (strlen($newevent['title'])<3)){ cmsCore::addSessionMessage($_LANG['REQ_TITLE'], 'error'); $errors = true; }
      //      
      if($do == 'newevent' && $model->checkTitle($newevent['title'], $cat_id, 'event')){ cmsCore::addSessionMessage($_LANG['EVENT_ALREADY_EXISTS'], 'error'); $errors = true; }

      $newevent['cat_id'] = $cat_id;

      if($newevent['author_id'] == 0){
        //    ,
        // ,  ,  
        $newevent['author_id'] = ($inUser->id)? ($inUser->id): 0;
      }

      if($do == 'newevent' && !$errors){

        $newevent['id'] = $model->addEvent($newevent);

      }
      if($do == 'editevent' && !$errors){
        $newevent['id'] = $event_id;
        $model->updateEvent($newevent);
      }

      if(!$errors){
         $img_errors = false;
         //  
         $file = uploadImage($cat_id, $newevent['id'], 'basicphoto', 'one',false);
         if($file['error']){
            cmsCore::addSessionMessage($_LANG['UPLOADING_ERROR'].$file['name'].': '.$file['error'], 'error');
            $img_errors = true;
         }
         if($file['filename'] && !$img_errors){
            $model->addBasicPhoto($newevent['id'], $file['filename'], false);
         }
         //  
         $files = uploadImage($cat_id, $newevent['id'], 'upphotos', 'multi', false);
         foreach($files as $key=>$value){
            if($value['error']){
               cmsCore::addSessionMessage($_LANG['UPLOADING_ERROR'].$value['name'].': '.$value['error'], 'error');
               $img_errors = true;
            }
         }
         //      
         if(!$img_errors){
           $event = array();
           $event = $model->getItemShort($newevent['id'], 'event', $inUser->is_admin);
           $succ_message =  $_LANG['EVENT_SUCCESSFULLY_ADDED'].' <a href="/poster/event-'.$newevent['id'].'/newbind1.html">'.$_LANG['TO_BIND_OBJEKT'].'</a>';
           cmsCore::addSessionMessage($succ_message, 'info');
           $inCore->redirect('/poster/prosmotr/'.$event['cat_seolink'].'/'.$event['seolink'].'.html');
         }else{
           $inCore->redirect('/poster/'.$newevent['id'].'/editevent.html');
         }
      }
      
      //  
      if($errors){
        //    
        $event['title'] = $newevent['title'];
        $event['author_id'] = $newevent['author_id'];
        $event['video_code'] = $newevent['video_code'];
        $event['shortdesc'] = $newevent['shortdesc'];
        $event['description'] = $newevent['description'];
        $event['cat_id'] =  $newevent['cat_id'];
        cmsUser::sessionPut('event', $event);

        cmsCore::addSessionMessage($_LANG['EVENT_WAS_NOT_CREATED'], 'error');
        $inCore->redirectBack();
      }
    }

}
////////////////      //////////////////////////////
if($do == 'newbind'){
    //    
    $type =  $inCore->request('type', 'str', '');
    $item_id =  $inCore->request('item_id', 'int', 0);
    $step =  $inCore->request('step', 'int', 0);
    $opposite_id =  $inCore->request('opposite_id', 'int', 0);
    $start_date = $inCore->request('start_date', 'str', '');
    $end_date = $inCore->request('end_date', 'str', '');
    $all_days = $inCore->request('all_days','int', 0);
    $time_list = $inCore->request('time_list','array');
    $edit = $inCore->request('edit','int', 0);

    if($step != 0 && $step !=1 && $step !=2){ cmsCore::error404(); }
    if($type == '' || ($type != 'objekt' && $type != 'event') || $item_id == 0){
        cmsCore::error404();
    }
    $item = $model->getItemShort($item_id, "{$type}", $inUser->is_admin);
    if(!$item){cmsCore::error404();}
    // 
    if( !$inUser->id || ((($item['owner_id'] && $inUser->id != $item['owner_id']) || ($item['author_id'] && $inUser->id != $item['author_id']))
        && !($inUser->is_admin))){die($_LANG['EDIT_OBJEKT_ACCESS_DENIED']);}

    $smarty = $inCore->initSmarty('components', 'com_poster_newbind.tpl');

    //    
    if($step == 0){

      //   
      if($type == 'objekt'){
        $inPage->setTitle($_LANG['THE_ADHERED_EVENTS']);
        $inPage->addPathway($item['title'], '/poster/prosmotr/zavedenija/'.$item['cat_seolink'].'/'.$item['seolink'].'.html');
        $inPage->addPathway($_LANG['THE_ADHERED_EVENTS']);
      }else{
        $inPage->setTitle($_LANG['THE_ADHERED_OBJEKTS']);
        $inPage->addPathway($item['title'], '/poster/prosmotr/'.$item['cat_seolink'].'/'.$item['seolink'].'.html');
        $inPage->addPathway($_LANG['THE_ADHERED_OBJEKTS']);
      }
      //    
      $exis_binds = array();
      $exis_binds = $model->getBinds($item_id, $type);

      foreach($exis_binds as $key=>&$exis_bind){
        $exis_bind['time_list'] = $inCore->yamlToArray($exis_bind['time_list']);
      }

      $smarty->assign('binds', $exis_binds);
    }

    // 1
    if($step == 1){
         if($type == 'objekt'){
          $inPage->setTitle($_LANG['BINDING_OF_EVENT']);
          $inPage->addPathway($item['title'], '/poster/prosmotr/zavedenija/'.$item['cat_seolink'].'/'.$item['seolink'].'.html');
          $inPage->addPathway($_LANG['BINDING_OF_EVENT']);
        }else{
          $inPage->setTitle($_LANG['BINDING_OF_OBJEKT']);
          $inPage->addPathway($item['title'], '/poster/prosmotr/'.$item['cat_seolink'].'/'.$item['seolink'].'.html');
          $inPage->addPathway($_LANG['BINDING_OF_OBJEKT']);
        }

         //      
        $opposite_list = array();
        if($type == 'objekt'){
         $opposite_list = $model->getTable('id, title', 'event');
        }else{ $opposite_list = $model->getTable('id, title', 'objekt'); }
        if(!$opposite_list){
          cmsCore::addSessionMessage($_LANG['NO_OPPOSITE_ID'], 'error');
          $inCore->redirectBack();
        }
        $smarty->assign('opposite_list', $opposite_list);
    }
    
    //     1     2
    if($inCore->inRequest('goStep1') || $edit){
       if($opposite_id == 0 || $start_date == '' || $end_date == ''){
         $inCore->redirectBack();
       }
       
        if($type == 'objekt'){
          $inPage->setTitle($_LANG['INSTALLATION_OF_SESSIONS']);
          $inPage->addPathway($item['title'], '/poster/prosmotr/zavedenija/'.$item['cat_seolink'].'/'.$item['seolink'].'.html');
          $inPage->addPathway($_LANG['INSTALLATION_OF_SESSIONS']);
        }else{
          $inPage->setTitle($_LANG['INSTALLATION_OF_SESSIONS']);
          $inPage->addPathway($item['title'], '/poster/prosmotr/'.$item['cat_seolink'].'/'.$item['seolink'].'.html');
          $inPage->addPathway($_LANG['INSTALLATION_OF_SESSIONS']);
        }

      //  
      $days = array();
      $days = makeCal($start_date, $end_date);
      //     
      if(!$days){
          cmsCore::addSessionMessage($_LANG['WRONG_RANGE_OF_DATE'], 'error');
         $inCore->redirectBack();
      }
      // 
      if($edit){
         $bind = array();
         $time_list = array();
         $bind = $model->getBind($item_id, $opposite_id, $type);
         $time_list = $inCore->yamlToArray($bind['time_list']);
         $first_day = '';
         foreach($days as $key=>$day){
           //       " "   
           if(!$first_day){ $first_day = $day; }
           if(!$time_list["{$day}"]){ $time_list["{$day}"] = $time_list["{$first_day}"]; }
           // 
           $counts["{$day}"]= count($time_list["{$day}"]);
         }
         $smarty->assign('counts', $counts);
      }else{
      //   ,  $time_list.      .

        $time_list = array();
        foreach($days as $key=>$day){
           $time_list["{$day}"][0] = 1;
        }
      }
      // <option> 
      $hours=array();
      for($i=0; $i<24; $i++){
        $hours[] = $i;
      }
      // <option> 
      $minutes=array();
      for($i=0; $i<60; $i+=5){
         if($i<10){ $minutes[] = '0'.$i; }else{$minutes[] = $i;}
      }
      //  
      $smarty->assign('minutes', $minutes);
      $smarty->assign('hours', $hours);
      $smarty->assign('days', $days);
    }

    //  

    $smarty->assign('item', $item);
    $smarty->assign('step', $step);
    $smarty->assign('type', $type);
    $smarty->assign('LANG', $_LANG);
    $smarty->assign('opposite_id', $opposite_id);
    $smarty->assign('start_date', $start_date);
    $smarty->assign('end_date', $end_date);
    $smarty->assign('all_days', $all_days);
    $smarty->assign('time_list', $time_list);
    $smarty->display('com_poster_newbind.tpl');
    
    //    2  
    if($inCore->inRequest('goStep2')){
       if(!$time_list ){ cmsCore::error404(); }
       //  
       if($all_days){
         $time_list1["{$start_date}"] = $time_list["{$start_date}"];
         $time_list = $time_list1;
         }
       //
       foreach($time_list as $d=>&$day){
           foreach($day as $s=>&$session){
              $session['price'] = $inCore->strClear($session['price']);
              $session['note'] = $inCore->strClear($session['note']);
           }
       }
      //  yaml
      $time_list_yaml = $inCore->arrayToYaml($time_list);
      //  
      $newbind_id = $model->addBind($item_id, $opposite_id, $start_date, $end_date,
                                   $time_list_yaml, $type, $all_days);

      //        
      if(!$newbind_id){
         cmsCore::addSessionMessage($_LANG['IT_WAS_NOT_POSSIBLE_TO_ADD_A_BINDING'], 'error');
         $inCore->redirectBack();
      }else{
         cmsCore::addSessionMessage($_LANG['THE_BINDING_IS_SUCCESSFULLY_CREATED'], 'info');
         $inCore->redirect("/poster/{$type}-{$item_id}/newbind.html");
      }
      
    }
}
/////////////////    ///////////////////////////////////////////
if($do == 'delbind'){
    //    
    $bind_id =  $inCore->request('bind_id', 'int', 0);
    if(!$bind_id){ cmsCore::error404(); }
    
    //   
    $bind = array();
    $bind = $inDB->get_fields('cms_poster_bind', "id = {$bind_id}", 'event_id, objekt_id');
    $author_id = $inDB->get_field('cms_poster_events', "id = {$bind['event_id']}", 'author_id');
    $owner_id = $inDB->get_field('cms_poster_objekts', "id = {$bind['objekt_id']}", 'owner_id');
    if(!$inUser->id){ cmsCore::error404(); };
    if($inUser->id && ($inUser->id != 1 && $inUser->id != $author_id && $inUser->id != $owner_id)){
        cmsCore::addSessionMessage($_LANG['ACCESS_FOR_REMOVAL_IS_FORBIDDEN'], 'error');
        $inCore->redirectBack();
    }
    
    // 
    $model->deleteBind($bind_id);
    
    // 
    $inCore->redirectBack();
}
///////////////       ///////////////////
if($do == 'view'){
    //    
    $type =  $inCore->request('type', 'str', 'event');
    $cat_seolink =  $inCore->request('cat_seolink', 'str', '');
    $seolink =  $inCore->request('seolink', 'str', '');
    
    if(!$cat_seolink || !$seolink){ cmsCore::error404(); }
    
    //  
    // 
    $item = array();
    $images = array();
    $item = $model->getItemBySeolink($seolink, $cat_seolink,$type, $inUser->is_admin);
    if(!$item){ cmsCore::error404(); }
    $images = getImages($item['id'], $type);
    //  
    if(!$inUser->id || (($inUser->id != $item['owner_id']) && ($inUser->id != $item['author_id']))){
      if((!$inCore->checkContentAccess($item['access_list']))){
           $inPage->setTitle($_LANG['NO_PERM_FOR_VIEW']);
		       $inPage->printHeading($_LANG['NO_PERM_FOR_VIEW']);
		       echo '<p><b>'.$_LANG['NO_PERM_FOR_VIEW_TEXT'].'</b></p>';
		       echo '<p>'.$_LANG['NO_PERM_FOR_VIEW_RULES'].'</p>';
           return;
      }
    }
    //   
    if($type == 'objekt'){
       $inPage->setTitle($item['title']);
       $inPage->addPathway($item['cat_title'], '/poster/categorii/zavedenija/'.$cat_seolink.'.html');
       $inPage->addPathway($item['title']);
    }else{
       $inPage->setTitle($item['title']);
       $inPage->addPathway($item['cat_title'], '/poster/categorii/'.$cat_seolink.'.html');
       $inPage->addPathway($item['title']);
    }
    
    // 
    $binds = array();
    $date = date('Y-m-d');
    $binds = $model->getBinds($item['id'], $type, date('Y-m-d'));
    $is_date = array();
    $last_time = array(); //   
    $max_day = date('d-m-Y');
    $witch_days = array(); //,   
    foreach($binds as $key=>&$bind){
        if(strtotime($bind['end_date']) > strtotime($max_day)){
          $max_day = $bind['end_date'];
        }
        $bind['time_list'] = $inCore->yamlToArray($bind['time_list']);
        //      " "
        if($bind['all_days']){
            $in_days = makeCal(date('d-m-Y', strtotime($bind['start_date'])), date('d-m-Y', strtotime($bind['end_date'])));
            // time_list        " "
            foreach($in_days as $k=>$in_day){
                 $bind['time_list']["$in_day"] =  $bind['time_list']["{$bind['start_date']}"];
            }
        }
        // -
        foreach($bind['time_list'] as $day=>$sessions){
               $witch_days[] = $day;
              // 
               if($day == date('d-m-Y')){
                   $is_date["$key"]["{$day}"] = true;
                   foreach($sessions as $n=>$session){
                       $start_time = $day.'-'.$session['start_h'].'-'.$session['start_m'];
                       if( strtotime($start_time) < strtotime(date('d-m-Y-H-i'))){
                           $last_time["$key"]["{$day}"]["{$n}"] = true;
                       }
                   }
               }

        }
    }
    // ajax-    
    $days = array();
    $days = makeCal(date('d-m-Y'), $max_day);
    setlocale(LC_ALL, 'ru_RU.CP1251');
    $format_days = array();
    $not_period = false; // ,      

    $item['cat_config'] = $inCore->yamlToArray($item['cat_config']);
    $period = $item['cat_config']['period'];
    foreach($days as $key=>$day){
         //       , 
         if(!in_array($day, $witch_days)){ continue; }
         //       , 
         if(!empty($period) && (strtotime($day) > strtotime("+ 1 {$period}"))){
            $not_period = true; continue;
         }
         $format_day = strftime('%d %B, %a', strtotime($day));
         $format_day = getRusDate($format_day);
         //- 
         if($day == date('d-m-Y')){
           $format_day = $_LANG['TODAY'];
         }
         if($day == date('d-m-Y', strtotime('+1 day'))){
           $format_day = $_LANG['TOMORROW'];
         }
         $format_days["{$day}"] = $format_day;
    }

    //  
    $item['video_code'] = $inCore->parseSmiles($item['video_code'], true);
    //
    $rate_options = getRateOptions();
    if($inUser->id){$dis_rate = false;}else{$dis_rate = true;}//  

    // 
    $smarty = $inCore->initSmarty('components', 'com_poster_viewitem.tpl');
    
    // 
    $i_go=false;
    if($type == 'event'){
         if($item['who_goes'] != ''){
             $item['who_goes'] = trim($item['who_goes']);
             $who_goes = explode(',', $item['who_goes']);
             if(in_array($inUser->id, $who_goes)){ $i_go=true; }
             if( $who_goes && is_array($who_goes)){
                  $result = $inDB->query("SELECT u.id, u.login, u.nickname, p.gender
                                          FROM `cms_users` u
                                          LEFT JOIN `cms_user_profiles` p ON p.user_id = u.id
                                          WHERE u.id IN ({$item['who_goes']}) AND u.is_deleted=0 AND u.is_locked=0
                                          ");
                  if(!$inDB->num_rows($result)){
                      $who_goes = '';
                  }else{
                       $who_goes = array();
                       while($user = $inDB->fetch_assoc($result)){
                            switch($user['gender']){
                                case 'm': $gender_img = '/components/users/images/male.png'; break;
                                case 'f': $gender_img = '/components/users/images/female.png'; break;
                                default : $gender_img = '/components/users/images/male.png'; break;
                            }
                            $who_goes[] = '<a style="padding:1px; height:16px; line-height:16px; background:url('.$gender_img.') no-repeat left center; padding-left:18px;" href="'.cmsUser::getProfileURL($user['login']).'" class="user_gender_link">'.$user['nickname'].'</a>';
                       }
                      $who_goes = implode(', ', $who_goes);
                  }
             }
         }else{
             $who_goes = '';
         }
        $smarty->assign('i_go', $i_go);
        $smarty->assign('who_goes', $who_goes);
        //()
        $smarty->assign('tag_bar', cmsTagBar('posterevent', $item['id']));
    }
    // 
    $is_author = false;
    if(($item['owner_id'] && $inUser->id == $item['owner_id']) || ($item['author_id'] && $inUser->id == $item['author_id']) || $inUser->is_admin){
          $is_author = true;
    }
    //    
    if($type == 'objekt' && $item['inmaps_id']){
    
         //     
         if(!$inCore->isComponentInstalled('maps')){ cmsCore::error404(); }
         $maps_cfg = $inCore->loadComponentConfig('maps');

         $maps_seolink = $inDB->get_field('cms_map_items', "id='{$item['inmaps_id']}'", 'seolink');
         if(!$maps_seolink){ cmsCore::error404(); }
         //  
        $inCore->loadModel('maps');
        $maps_model = new cms_model_maps();

	     //   
        $map = $maps_model->getItemBySeolink($maps_seolink);
        if(!$map){ cmsCore::error404(); }
        
        // -------   -----------------

        if (in_array($maps_cfg['maps_engine'], array('yandex', 'narod', 'custom'))){
            $key = $maps_cfg['yandex_key'];
        } else {
            $key = $maps_cfg[$maps_cfg['maps_engine'].'_key'];
        }
        $inPage->addHeadCSS('templates/'.$_CFG['template'].'/css/inmaps.css');
        $inCore->includeFile('components/maps/systems/'.$maps_cfg['maps_engine'].'/info.php');
        $inPage->addHeadJS('components/maps/systems/'.$maps_cfg['maps_engine'].'/geo.js');
        $inPage->addHeadJS('components/maps/js/map.js');
        $api_key = str_replace('#key#', $key, $GLOBALS['MAP_API_URL']);
        $inPage->page_head[] = $api_key;

        $smarty->assign('map', $map);
        $smarty->assign('maps_cfg', $maps_cfg);
    }
    
    //  
    $smarty->assign('item', $item);
    $smarty->assign('binds', $binds);
    $smarty->assign('images', $images);
    $smarty->assign('type', $type);
    $smarty->assign('LANG', $_LANG);
    $smarty->assign('rate_options', $rate_options);
    $smarty->assign('dis_rate', $dis_rate);
    $smarty->assign('is_user', $inUser->id);
    $smarty->assign('is_author', $is_author);
    $smarty->assign('is_date', $is_date);
    $smarty->assign('last_time', $last_time);
    $smarty->assign('format_days', $format_days);
    $smarty->assign('date', date('d-m-Y'));
    $smarty->assign('path', PATH);
    $smarty->assign('cfg', $cfg);
    $smarty->assign('not_period', $not_period);
    $smarty->assign('period', $period);
    $smarty->display('com_poster_viewitem.tpl');
    
    // 
         $labels = array('comments' => $_LANG['COMMENTS'], 'add' => $_LANG['ADD_COMM'], 'rss' => $_LANG['RSS_COMM'], 'not_comments' => $_LANG['NOT_COMMENT_TEXT']);
	         if($inCore->isComponentInstalled('comments')){
						  $inCore->includeComments();
						  comments("{$type}", $item['id'], $labels);
					 }
    
}

//////////////   //////////////////////////////////////////////
if($do == 'viewcat'){

    //    
    $type =  $inCore->request('type', 'str', '');
    $cat_seolink =  $inCore->request('cat_seolink', 'str', '');
    $city =  $inCore->request('city', 'str', '');
    $page  = $inCore->request('page', 'int', 1);
    if(!$type || !$cat_seolink){ cmsCore::error404(); }
    if($type != 'objekt' && $type != 'event'){ cmsCore::error404(); }

    $category = $model->getCategoryBySeolink($cat_seolink, "{$type}");
    $cat_id = $category['id'];
        
        //.   ,   
    if(!$city){
         $city = $cfg['main_city'];
    }
        
        // 
        if(!$inCore->checkContentAccess($category['access_list'])){
           $inPage->setTitle($_LANG['NO_PERM_FOR_VIEW']);
           $inPage->printHeading($_LANG['NO_PERM_FOR_VIEW']);
           $message = '<p><b>'.$_LANG['NO_PERM_FOR_VIEW_TEXT'].'</b></p>';
           $message .= '<br><p>'.$_LANG['NO_PERM_FOR_VIEW_RULES'].'</p>';
        }else{
        
           //   
           $inPage->setTitle($category['title']);
           $inPage->addPathway($category['title']);

        
           $items = array();
           $items = $model->getItems($cat_id, "{$type}", '', '',0, 0, $inUser->is_admin, "{$city}");
           if(!$items){
              if($type == 'objekt'){
                 $message = '<p>'.$_LANG['THERE_ARE_NO_OBJECTS_IN_A_CATEGORY'].'</p>';
              }else{
                 $message = '<p>'.$_LANG['THERE_ARE_NO_EVENTS_IN_A_CATEGORY'].'</p>';
              }
           }
           //   
           foreach($items as $key=>&$item){
               $item['comments_count'] = $inCore->getCommentsCount("{$type}", $item['id']);
               if($type == 'event'){
                  $item['tag_bar'] = cmsTagBar('posterevent', $item['id']);
               }
           }
           //
           $rate_options = getRateOptions();
           //  
           $cities = array();
           $cities =getCities();
           //   
           $is_editor = checkEditorsAccess($cat_id, "{$type}");

        }//access
        
        $lateral_menu = getLateralMenu($cat_seolink, '', "{$type}");
        
        $category['cat_config'] = $inCore->yamlToArray($category['cat_config']);

        //
    $perpage        = $cfg['perpage'] ? $cfg['perpage'] : 10;
    $total      = count($items);
    $req_uri = preg_replace('/\?city=(.+)/i', '', $_SERVER['REQUEST_URI']);
    $req_uri_1 = preg_replace('/\/page\-([0-9]+)/i', '', $req_uri);
    if(strrpos($req_uri_1, '.html')){
       $pagelink   = str_replace('.html', '/page-%page%.html', $req_uri_1);
    }else{
       $pagelink   = $req_uri_1.'/page-%page%';
    }
    if($city){
        $pagelink .= '?city='.urlencode($city);
    }
    if(ceil($total/$perpage)< $page){$page = 1;}
    $pagebar    = cmsPage::getPagebar($total, $page, $perpage, $pagelink);
    //    
    $items = array_slice($items, ($page-1)*$perpage, $perpage);

        //  
        $smarty = $inCore->initSmarty('components', 'com_poster_viewcat.tpl');
        $smarty->assign('items', $items);
        $smarty->assign('type', $type);
        $smarty->assign('rate_options', $rate_options);
        $smarty->assign('category', $category);
        $smarty->assign('menu', $lateral_menu);
        $smarty->assign('message', $message);
        $smarty->assign('LANG', $_LANG);
        $smarty->assign('cfg', $cfg);
        $smarty->assign('is_editor', $is_editor);
        $smarty->assign('path', PATH);
        $smarty->assign('city', $city);
        $smarty->assign('cities', $cities);
        $smarty->assign('req_uri', $req_uri);
        if ($items){
           $smarty->assign('pagebar', $pagebar);
	      }
        $smarty->display('com_poster_viewcat.tpl');


}

//////////////    () //////////////////////////////////////
if($do == 'main'){

    //    
    $cat_seolink = $inCore->request('cat_seolink', 'str', '');
    $date =  $inCore->request('date', 'str', '');
    $start_date =  $inCore->request('start_date', 'str', '');
    $end_date =  $inCore->request('end_date', 'str', '');
    $orient =  $inCore->request('orient', 'str', '');
    $city =  $inCore->request('city', 'str', '');
    $all = $inCore->request('all');
    $page  = $inCore->request('page', 'int', 1);

    //         ( )
    if(!$cat_seolink && !$date && !$start_date){
          $category = array();
          //$category = $model->getCategory($cfg['main_cat'], 'event');
          $cat_seolink = $category['seolink'];
          //$cat_id = $cfg['main_cat'];
          $date = date('d-m-Y');
          $orient = 'today';
          $all = true;//, ,       
    }
    if(!$orient && $date && ($date == date('d-m-Y')) ){
         $orient = 'today';
    }
    //.   ,   
    if(!$city){
         $city = $cfg['main_city'];
    }

    //   ,   
    if(!$category && !$all){
          $category = $model->getCategoryBySeolink($cat_seolink, 'event');
          $cat_id = $category['id'];
    }
    $message = '';

    // 
    if(!$inCore->checkContentAccess($category['access_list'])){
        $inPage->setTitle($_LANG['NO_PERM_FOR_VIEW']);
        $inPage->printHeading($_LANG['NO_PERM_FOR_VIEW']);
        $message = '<p><b>'.$_LANG['NO_PERM_FOR_VIEW_TEXT'].'</b></p>';
        $message .= '<br><p>'.$_LANG['NO_PERM_FOR_VIEW_RULES'].'</p>';
    }else{
    
        //   
       if($all){
           $cat_title = $_LANG['ALL_EVENTS'];
       }else{
           $cat_title = $category['title'];
       }
       if($orient){
          $orient_upp = strtoupper($orient);
          $inPage->setTitle($_LANG['POSTER'].'-'.$cat_title.', '.$_LANG[$orient_upp]);
          $inPage->addPathway($cat_title.', '.$_LANG[$orient_upp]);
       }else{
          if($date){
             $fdate = cmsCore::dateFormat($date);
             $inPage->setTitle($_LANG['POSTER'].'-'.$cat_title.', '.$fdate);
             $inPage->addPathway($cat_title.', '.$fdate);
          }
       }
       if($start_date && $end_date){
             $fstart_date = cmsCore::dateFormat($start_date);
             $fend_date = cmsCore::dateFormat($end_date);
             $inPage->setTitle($_LANG['POSTER'].'-'.$cat_title.', '.$fstart_date.'-'.$fend_date);
             $inPage->addPathway($cat_title.', '.$fstart_date.'-'.$fend_date);

       }
    
       $mash = array();
       //    
       $mash = $model->getEventsByDate($cat_id, $date,$start_date, $end_date, $orient, "{$cfg['main_orderby']}", "{$cfg['main_orderto']}", "{$city}", $all);
       if(!$mash){
           $message = '<p>'.$_LANG['THERE_ARE_NO_EVENTS_FOR_DATE'].'</p>';
       }

       $events = array();
       $check = array();
       //   "- "
       foreach($mash as $key=>$value){
           $half = array();
           if(($unic_key = array_search($value['id'], $check, true)) !== false){
                $half = array_chunk($value, 9, true);
                $events["{$unic_key}"]['binds'][]= $half[1];

           }else{
                $half = array_chunk($value, 9, true);
                $events["{$key}"] = $half[0];
                $events["{$key}"]['binds'][] = $half[1];
                $check["{$key}"] = $value['id'];
           }
       }
       //     
        foreach($events as $key=>&$event){
            $event['count'] = count($event['binds']) - 1;
            $event['comments_count'] = $inCore->getCommentsCount('event', $event['id']);
            $event['tag_bar'] = cmsTagBar('posterevent', $event['id']);
            //  ,         all_days
            $event['is_bind'] =false;
            foreach($event['binds'] as $b=>$bind){
               if(!$bind['all_days']){
                  $time_list = $inCore->YamlToArray($bind['time_list']);
                  foreach($time_list as $t=>$day){
                      if($t == date('d-m-Y',strtotime($date))){
                         $event['is_bind'] =true;
                      }elseif((strtotime($t) >= strtotime($start_date)) && (strtotime($t) <= strtotime($end_date))){
                         $event['is_bind'] =true;
                      }
                  }
               }else{
                   $event['is_bind'] =true;
              }
            }
       }
       //
       $rate_options = getRateOptions();
       //  
       $cities = array();
       $cities =getCities();
       //   
       $is_editor = checkEditorsAccess($cat_id, 'event');
       
    } //access

    //    
    $menu = array();
    $calendar = array();
    $lateral_menu = getLateralMenu($cat_seolink, $orient, 'event', $date, $start_date, $end_date);//array

    $calendar = getCalendar($date, $start_date);//array
    $category['cat_config'] = $inCore->yamlToArray($category['cat_config']);

    //
    $perpage        = $cfg['perpage'] ? $cfg['perpage'] : 10;
    $total      = count($events);
    $req_uri = preg_replace('/\?city=(.+)/i', '', $_SERVER['REQUEST_URI']);
    $req_uri_1 = preg_replace('/\/page\-([0-9]+)/i', '', $req_uri);

    if(strrpos($req_uri_1, '.html')){
       $pagelink   = str_replace('.html', '/page-%page%.html', $req_uri_1);
    }else{
       $pagelink   = $req_uri_1.'/page-%page%';
    }
    if($city){
        $pagelink .= '?city='.urlencode($city);
    }
    if(ceil($total/$perpage)< $page){$page = 1;}
    $pagebar    = cmsPage::getPagebar($total, $page, $perpage, $pagelink);
    //    
    $events = array_slice($events, ($page-1)*$perpage, $perpage);

    //  
    $smarty = $inCore->initSmarty('components', 'com_poster_main.tpl');
    $smarty->assign('events', $events);
    $smarty->assign('rate_options', $rate_options);
    $smarty->assign('cities', $cities);
    $smarty->assign('category', $category);
    $smarty->assign('menu', $lateral_menu);
    $smarty->assign('calendar', $calendar);
    $smarty->assign('message', $message);
    $smarty->assign('LANG', $_LANG);
    $smarty->assign('cfg', $cfg);
    $smarty->assign('is_editor', $is_editor);
    $smarty->assign('path', PATH);
    $smarty->assign('orient', $orient);
    $smarty->assign('city', $city);
    $smarty->assign('date', strtotime(date('d-m-Y')));
    $smarty->assign('req_uri', $req_uri);
    $smarty->assign('all', $all);
    if ($events){
        $smarty->assign('pagebar', $pagebar);
	  }
    $smarty->display('com_poster_main.tpl');

}

//////////////    /////////////////////////////////
if($do == 'delete'){

     //    
     $type =  $inCore->request('type', 'str', '');
     $item_id =  $inCore->request('item_id', 'int', 0);
     $delete =  $inCore->request('delete', 'int', 0);
     if(!$type || !$item_id){ cmsCore::error404(); }
     
     //   
     $item = array();
     $item = $model->getItemShort($item_id, $type, $inUser->is_admin);
     if(!$item){ cmsCore::error404(); }
     if(($item['owner_id'] && $inUser->id != $item['owner_id']) || ($item['author_id'] && $inUser->id != $item['author_id'])
        && !$inUser->is_admin){
           if($type == 'objekt'){
             cmsCore::addSessionMessage($_LANG['DELETE_OBJEKT_ACCESS_DENIED'], 'error');
           }else{
             cmsCore::addSessionMessage($_LANG['DELETE_EVENT_ACCESS_DENIED'], 'error');
           }
             $inCore->redirectBack();
        }
        
        //   
      if($type == 'objekt'){
        $inPage->setTitle($_LANG['DELETING_OF_OBJEKT']);
        $inPage->addPathway($item['title'], '/poster/prosmotr/zavedenija/'.$item['cat_seolink'].'/'.$item['seolink'].'.html');
        $inPage->addPathway($_LANG['DELETING_OF_OBJEKT']);
      }else{
        $inPage->setTitle($_LANG['DELETING_OF_EVENT']);
        $inPage->addPathway($item['title'], '/poster/prosmotr/'.$item['cat_seolink'].'/'.$item['seolink'].'.html');
        $inPage->addPathway($_LANG['DELETING_OF_EVENT']);
      }
        
      //   
      if($delete){
           $model->deleteItems($item_id, $type);
            if($type == 'objekt'){
               cmsCore::addSessionMessage($_LANG['THE_OBJEKT_IS_SUCCESSFULLY_REMOVED'], 'info');
            }else{
               cmsCore::addSessionMessage($_LANG['THE_EVENT_IS_SUCCESSFULLY_REMOVED'], 'info');
            }
             $inCore->redirect('/poster/');
      }
      
    //  
    $smarty = $inCore->initSmarty('components', 'com_poster_delitem.tpl');
    $smarty->assign('item', $item);
    $smarty->assign('type', $type);
    $smarty->display('com_poster_delitem.tpl');

}



}//function

?>
