{*==================================================================================*}
{*===============          ===================*}
{*==================================================================================*}
{add_js file='components/poster/js/jcarousellite/jcarousellite_1.0.1.pack.js'}
{add_js file='components/poster/js/jcarousellite/jquery.mousewheel.min.js'}
{add_js file='components/poster/js/fancybox/jquery.fancybox-1.2.1.pack.js'}
{add_js file='components/poster/js/fancybox/jquery.easing.1.3.js'}
{add_css file='components/poster/js/fancybox/jquery.fancybox.css'}
{add_css file='components/poster/css/poster.css'}
{add_css file='components/poster/js/jquery.ui.stars-3.0/jquery.ui.stars.css'}
{add_js file='components/poster/js/jquery.ui.stars-3.0/jquery-ui-1.8.16.custom.min.js'}
{add_js file='components/poster/js/jquery.ui.stars-3.0/jquery.ui.stars.js'}

<table width="100%" cellspacing="0" cellpadding="15" border="0">
  <tr>
    <td colspan="4">
      <h1 class="con_heading">{$item.title}</h1>
    </td>
  </tr>
  <tr>
    <td  width="130px" valign="top">
      <div>
        {if $item.basic_photo}
        <img src="/images/poster/small/{if $type == 'objekt'}obj_{/if}{$item.id}/{$item.basic_photo}">
        {else}
        <img src="/components/poster/images/no_pic.png">
        {/if}
      </div>
    </td>
    <td colspan="2">
       <!--  -->
       {if $item.video_code}
         <div style="float:left; margin-right:15px;">{$item.video_code}</div>
       {/if}
       <!--      -->
       {if $map}
            <div id="map_wrapper" style="z-index: 199">
                <div id="citypanel">
                    <div id="fullscreen_link">
                        <a href="#" onclick="toggleMapSize('#placemap')" class="maximize_button">  </a>
                    </div>
                </div>
                <div id="placemap"></div>
            </div>
       {/if}
       <p style="margin-left:15px;">{$item.description}</p>
       {if $type == 'objekt'}
         <p style="margin-top:25px; margin-left:15px;"><strong>{$LANG.ADDRESS} :</strong> . {$item.addr_city},
         {$item.addr_prefix}. {$item.addr_street}, {$item.addr_house}</p>
         <p style="margin-left:15px;"><strong>{$LANG.PHONE} :</strong> {$item.phone}</p>
         <p style="margin-left:15px;"><strong>{$LANG.WEB_SITE} :</strong> <a href="/go/url={$item.website}" target="blank">{$item.website}</a></p>
       {/if}
    </td>
    <!--     -->
    <td width="120px" valign="top">
		      <div class="ratings">
			      <div class="rating-L">
               <strong id="rating_title">{$LANG.RATING}: </strong>
				       <form id="rat" action="" method="post">
					        <select name="rate">
                      {foreach key=num item=desc from=$rate_options}
                        <option value="{$num}" {if $num == $item.rating|round } selected="selected" {/if}>{$desc}</option>
                      {/foreach}
					        </select>
                  <input type="hidden" name="item_id" value="{$item.id}">
                  <input type="hidden" name="type" value="{$type}">
                  <input type="hidden" name="rating" value="{$item.rating}">
                  <input type="hidden" name="votes" value="{$item.rating_votes}">
                  <input type="submit" value="Rate it!" />
				      </form>
			      </div>
			      <div style="margin-top:15px; clear:left;" id="avg">
              <span style="color:gray"><small>{$item.rating} / {$LANG.VOTES}:{$item.rating_votes}</span></small>
            </div>
		      </div>
    </td>
  </tr>
  <!-- () -->
  <tr><td></td>
    <td>
       <div style="margin-top:15px">
          {$tag_bar}
      </div>
    </td>
  </tr>
  <tr>
    <td></td>
    <!--   -->
    <td width="400px">
     {if $images}
      <div align="left" class="prev_button"><img class="prev" src="/images/icons/fancy_left.png"></div>
      <div id="gallery">
        <ul>
        {foreach key=i item=image from=$images}
          <li class="img_prev">
          <a class="fansy" href="/images/poster/medium/{if $type == 'objekt'}obj_{/if}{$item.id}/{$image}" rel="fansy" title="{$item.title}">
          <img class="list" src="/images/poster/small/{if $type == 'objekt'}obj_{/if}{$item.id}/{$image}"></a>
          </li>
        {/foreach}
        </ul>
      </div>
      <div class="next_button"><img class="next" src="/images/icons/fancy_right.png"></div>
     {/if}
    </td>
    {if $type == 'event'}
    <td colspan="2" valign="top">
      <div style="margin-top:50px;" id="who_go">
        <strong>{$LANG.WHO_GO}:</strong>
        <div>
              {if $who_goes}
                 {$who_goes}
              {else}
                 {$LANG.NOBODY_HAS_JOINED}
              {/if}
        </div>
        {if $is_user}
          {if $i_go}
                <input type="button" name="not_go" value="{$LANG.NOT_GO}" onclick="change_go(false, {$item.id})" style="margin-top:20px;">
          {else}
               <input type="button" name="i_go" value="{$LANG.I_GO}" onclick="change_go(true, {$item.id})" style="margin-top:20px;">
          {/if}
        {/if}
      </div>
      <div id="who_go_img" width="100%" align="center" style="display:none">
          <img src="/images/ajax-loader.gif">
       </div>
    </td>
    {else}
    <td></td><td></td>
    {/if}
  <!--   -->
  <tr id="schedule">
     {include file="$path/templates/_default_/components/com_poster_schedule.tpl"}
  </tr>
  <tr>
     <td colspan="3">
       <div id="schedule_img" width="100%" align="center" style="display:none">
          <img src="/images/ajax-loader.gif">
       </div>
     </td>
  </tr>
  <tr>
    <td></td>
    <td colspan="3">
       <div id="last_sess_link">
          <a href="#" onclick="lastSessions();return false;">{$LANG.TO_SEE_THE_LAST_SESSIONS}</a>
       </div>
       <div id="last_sessions_img" width="100%" align="center" style="display:none">
          <img src="/images/ajax-loader.gif">
       </div>
       <div id="last_sessions"></div>
    </td>
  </tr>
  <!--   , ...  -->
  {if $is_author}
  </tr>
  <tr><td></td>
    <td colspan="3">
       <div class="blog_comments">
          <a href="/poster/delete{$type}/{$item.id}.html" style="color:red;">{$LANG.DELETE}</a> |
          <a href="/poster/{$item.id}/{if $type == 'objekt'}editobjekt{else}editevent{/if}.html">{$LANG.EDIT}</a> |
          <a href="/poster/{$type}-{$item.id}/newbind1.html">{if $type == 'objekt'}{$LANG.TO_BIND_EVENT}{else}{$LANG.TO_BIND_OBJEKT}{/if}</a> |
          {if $binds}
          <a href="/poster/{$type}-{$item.id}/newbind.html">{$LANG.TO_EDIT_BINDS}</a>
          {/if}
       </div>
    </td>
  </tr>
  {/if}
</table>
<hr>
<a name="comments"></a>
{literal}
<script type="text/javascript">
  $(document).ready(function(){
	  $("#gallery").jCarouselLite({
	        btnNext: ".next",
	        btnPrev: ".prev",

          circular:false
	    });
	});
  $(document).ready(function(){
	  $("a.fansy").fancybox(
      { "padding" : 20,
        "modal": true,
        "imageScale" : false,
        "zoomSpeedChange" : 1000,
			  "frameWidth" : 700,
			  "frameHeight" : 600,
			  "overlayShow" : true,
			  "overlayOpacity" : 0.8,
			  "hideOnContentClick" : false,
			  "centerOnScroll" : false,
			  callbackOnShow  : function(){$('iframe').hide();},
			  callbackOnClose : function(){$('iframe').show();}
      }
    );
  });
	</script>
	<style type="text/css">
		.rating-L {width: 100%;}
		#rat > * {float: left; line-height: 1.4em;}
		#rating_title {padding-right: .5em;}
		#messages, #caption {padding-left: .5em;}
		#messages {color: #fd1c24;}
	</style>
<script type="text/javascript">
		$(function(){
			$("#rat").children().not("select, #rating_title").hide();

			// Create caption element
			var $caption = $('<div id="caption"/>');

			// Create stars
			$("#rat").stars({
				inputType: "select",
				{/literal}
				{if $dis_rate}disabled: true,{/if}
				{literal}
				oneVoteOnly: true,
				captionEl: $caption,
				callback: function(ui, type, value)
				{
					// Display message to the user at the begining of request
					$("#messages").text("...").fadeIn(30);

					$.post("/components/poster/ajax/rating.php", {rate: value,
          {/literal}
          item_id: {$item.id},
          type: '{$type}',
          rating: {$item.rating},
          votes: {$item.rating_votes}
          {literal}
          }, function(json)
					{
						// Change widget's title
						$("#rating_title").text(" ");

						// Select stars from "Average rating" control to match the returned average rating value
						ui.select(Math.round(json.avg));

						// Update widget's caption
						$('#avg').html('<span style="color:gray"><small>'+json.avg+' / :'+json.votes+'</span></small>');

						// Display confirmation message to the user
            if(!json.already){
              $("#messages").text(" (" + value + "). !").stop().css("opacity", 1).css('color', 'green').fadeIn(30);
            }else{
              $("#messages").text("  ").stop().css("opacity", 1).fadeIn(30);
            }
						// Hide confirmation message after 2 sec...
						setTimeout(function(){
							$("#messages").fadeOut(1000)
						}, 2000);

					}, "json");
				}
			});

			// Since the <option value="3"> was selected by default, we must remove this selection from Stars.
			//$("#rat").stars("selectID", -1);
      $caption.html('');
			// Append caption element !after! the Stars
			$caption.appendTo("#rat");

			// Create element to use for confirmation messages
			$('<div id="messages"/>').appendTo("#rat");
		});

    function change_go(i_go, event_id){
          $.post("/components/poster/ajax/changego.php", {i_go: i_go, event_id: event_id}, changeGoSuccess, "html");
          $('#who_go_img').show();
          function changeGoSuccess(data){
              $('#who_go').html(data);
              $('#who_go_img').hide();
          }
    }
  </script>
{/literal}
{if $map}
<script type="text/javascript">
    var options = {literal}{{/literal}
            zoom_min: {$maps_cfg.zoom_min},
            zoom_max: {$maps_cfg.zoom_max},
            map_type: '{$maps_cfg.minimap_type}',
            zoom: '{$maps_cfg.zoom_minimap}'
    {literal}}{/literal};

    {literal}
        $(document).ready(function(){
    {/literal}
            initPlaceMapXY('{$map.current_marker.lng}', '{$map.current_marker.lat}', '{$map.title}', options);
    {literal}
        });
    {/literal}
</script>
{/if}
<!--    -->
{literal}
<script type="text/javascript">
function lastSessions(){
    $.post("/components/poster/ajax/lastsessions.php", {
              item_id: {/literal}{$item.id}{literal},
              type: '{/literal}{$type}{literal}'
              }, onAjaxSuccess, "html");
     $('#last_sessions_img').show();
     function onAjaxSuccess(data){
              $('#last_sessions').html(data);
              $('#last_sessions_img').hide();
              $('#last_sessions').show();
          }
     $('#last_sess_link').html('<a href="#" onclick="hideLastSessions(); return false;">{/literal}{$LANG.TO_HIDE_THE_LAST_SESSIONS}{literal}</a>');

}
function hideLastSessions(){
     $('#last_sessions').hide();
     $('#last_sess_link').html('<a href="#" onclick="lastSessions();return false;">{/literal}{$LANG.TO_SEE_THE_LAST_SESSIONS}{literal}</a>');
}
</script>
{/literal}
