<?php

// ========================================================================== //

    function info_component_poster(){

        // 

        $_component['title']        = '';                        //
        $_component['description']  = '   .';    //
        $_component['link']         = 'poster';                               // ()
        $_component['author']       = 'Marat Fatikhov';                        //
        $_component['internal']     = '0';                                  // (  )? 1-, 0-
        $_component['version']      = '1.1.0';                                // 

        // -

        $_component['config'] = array(
            //'main_cat'=>1,
            'main_orderby'=>'ordering',
            'main_orderto'=>'asc',
            'img_small_w'=>100,
            'img_big_w'=>300,
            'img_sqr'=>1,
            'rss_all'=>1,
            'rss_one'=>1,
            'menu_up'=>1,
            'menu_left'=>1,
            'show_end'=>1,
            'title'=>'',
            'one_city'=>0,
            'main_city'=>'',
            'thanks'=>1,
            'perpage'=>10,
            'subscribe'=>0,
            'subs_limit'=>20,
            'subs_mail'=>1,
            'prefixes'=>array(
                 '' => '.',
                 '' => '.',
                 '' => '-',
                 '' => '-',
                 '' => '',
                 '' => '',
                 '' => '.',
                 '' => '',
                 '' => '.'
            )
        );
        //
        $_component['modules'] = array(
           'mod_poster_newevents'=>'   ',
           'mod_poster_calendar'=>' '
        );

        return $_component;

    }

// ========================================================================== //

    function install_component_poster(){

        $inCore     = cmsCore::getInstance();       // 
        $inDB       = cmsDatabase::getInstance();   //  
        $inConf     = cmsConfig::getInstance();

        include($_SERVER['DOCUMENT_ROOT'].'/includes/dbimport.inc.php');

        dbRunSQL($_SERVER['DOCUMENT_ROOT'].'/components/poster/install.sql', $inConf->db_prefix);

        //       ,  
        $is_target = $inDB->get_field('cms_comment_targets', "target = 'event'", 'id');
        if(!$is_target){
            $inCore->registerCommentsTarget('event', 'poster', '');
        }
        $is_target_1 = $inDB->get_field('cms_comment_targets', "target = 'objekt'", 'id');
        if(!$is_target_1){
            $inCore->registerCommentsTarget('objekt', 'poster', '');
        }

        return true;

    }
    
    // ========================================================================== //

    function upgrade_component_poster(){

        $inCore     = cmsCore::getInstance();
        $inDB       = cmsDatabase::getInstance();
        $inConf     = cmsConfig::getInstance();

        $inDB->query('ALTER TABLE `cms_poster_bind` ADD `subscribes` TEXT NOT NULL');
        $inDB->query('ALTER TABLE `cms_poster_bind` ADD INDEX `date` (`start_date` , `end_date`)');
        $inDB->query("INSERT INTO `cms_cron_jobs` (`job_name`, `job_interval`, `component`, `model_method`, `custom_file`, `is_enabled`, `is_new`, `comment`, `class_name`, `class_method`)
                      VALUES ('sendPosterNotices', 0, 'poster', 'sendNotices', '', 0, 0, '      .', '', '')");

        return true;

    }

// ========================================================================== //

?>
