<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                         component "Poster"                                  //
//                       written by Marat Fatikhov                             //
//                      (nickname  on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function rss_poster($item_id, $cfg, &$rssdata){
   $inCore = cmsCore::getInstance();
   $inDB   = cmsDatabase::getInstance();

		global $_CFG;
		global $_LANG;

		$maxitems   = $cfg['maxitems'];
		$rooturl    = 'http://'.$_SERVER['HTTP_HOST'];
		if ($item_id == 'all') { $item_id = 0; }
		
		//CHANNEL
		if ($item_id){
       $cat    = $inDB->get_fields('cms_poster_eventcats', "id='$item_id'", 'id, title, seolink, description, access_list');
       if($inCore->checkContentAccess($cat['access_list'])){
         $catsql = "AND e.cat_id = '$item_id'";
         $channel['title']       = $cat['title'];
			   $channel['description'] = $cat['description'];
			   $channel['link']        = $rooturl . '/poster/categorii/'.$cat['seolink'].'.html';
      }else{
         $catsql = "AND e.cat_id = 0";
         //echo '<p><b>'.$_LANG['NO_PERM_FOR_VIEW_TEXT'].'</b></p>';
         //echo '<p>'.$_LANG['NO_PERM_FOR_VIEW_RULES'].'</p>';
      }
    }else{
       $catsql = " AND ec.access_list = ''";
       $channel['title']       = $_LANG['NEW_EVENTS'];
			 $channel['description'] = $_LANG['NEW_EVENTS'];
			 $channel['link']        = $rooturl . '/poster';
    }
    
    //ITEMS
    $sql = "SELECT e.*,
                       ec.id as category_id,
                       ec.title as category,
                       ec.seolink as cat_seolink
            FROM `cms_poster_events` e, `cms_poster_eventcats` ec
            WHERE e.published = 1 AND ec.published = 1 AND e.cat_id = ec.id $catsql
            ORDER by e.pubdate DESC
            LIMIT $maxitems";
            
    $rs = $inDB->query($sql) or die('RSS building error!');

		$items = array();

		if ($inDB->num_rows($rs)){
        while ($item = $inDB->fetch_assoc($rs)){
				  $id = $item['id'];
				  $items[$id] = $item;
          $items[$id]['link'] = $rooturl . '/poster/prosmotr/'.$item['cat_seolink'].'/'.$item['seolink'].'.html';
				  $items[$id]['description'] = substr(strip_tags($items[$id]['shortdesc']), 0, 250). '...';
				  $items[$id]['comments'] = $items[$id]['link'].'#c';
				  $items[$id]['category'] = $item['category'];
				  
				  $image_file = PATH.'/images/poster/medium/'.$item['cat_id'].'/'.$item['basic_photo'];
          $image_url  = $rooturl . '/images/poster/medium/'.$item['cat_id'].'/'.$item['basic_photo'];

          $items[$id]['image'] = file_exists($image_file) ? $image_url : '';
				  
			  }
    }
    //RETURN
		$rssdata = array();
		$rssdata['channel'] = $channel;
		$rssdata['items'] = $items;

		return;

}
?>
