<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                         component "Poster"                                  //
//                       written by Marat Fatikhov                             //
//                      (nickname  on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

function search_poster($query, $look){ //query sends here already prepared and secured!
        $inCore = cmsCore::getInstance();
        $inDB = cmsDatabase::getInstance();
        $searchModel = cms_model_search::initModel(); //      ""

        //  
        $inCore->loadLanguage('components/poster');
				global $_LANG;

    //  
		// 
		$sql = "SELECT e.*, ec.title as cat_title, ec.seolink as cat_seolink
				FROM cms_poster_events e
				INNER JOIN  cms_poster_eventcats ec ON e.cat_id = ec.id
				WHERE MATCH(e.title, e.description) AGAINST ('$query' IN BOOLEAN MODE) AND
                    e.published = 1 AND ec.published = 1";

		$result = $inDB->query($sql);

    //    ,  ,     cms_search
    if ($inDB->num_rows($result)){
			while($event = $inDB->fetch_assoc($result)){

				$result_array = array();
				
        $result_array['link']   = "/poster/prosmotr/".$event['cat_seolink'].'/'.$event['seolink'].".html"; //    
				$result_array['place']  = $_LANG['POSTER'].', '.$event['cat_title'];   //   
				$result_array['placelink'] = "/poster/categorii/".$event['cat_seolink'].".html"; //    
        $result_array['description'] = $searchModel->getProposalWithSearchWord($event['description']); //  ,   ,      
        $result_array['title']       = $event['title'];  //  
			  $result_array['pubdate']     = $event['pubdate'];   //    
			  $result_array['session_id']  = session_id();  // id   

        $searchModel->addResult($result_array);      //     cms_search (    ,   )
			}
		}
		
		//  
		// 
		$sql = "SELECT o.*, oc.title as cat_title, oc.seolink as cat_seolink
				FROM cms_poster_objekts o
				INNER JOIN  cms_poster_objcats oc ON o.cat_id = oc.id
				WHERE MATCH(o.title, o.description) AGAINST ('$query' IN BOOLEAN MODE) AND
                    o.published = 1 AND oc.published = 1";

		$result = $inDB->query($sql);

    //    ,  ,     cms_search
    if ($inDB->num_rows($result)){
			while($obj = $inDB->fetch_assoc($result)){

				$result_array = array();

        $result_array['link']   = "/poster/prosmotr/zavedenija/".$obj['cat_seolink'].'/'.$obj['seolink'].".html"; //    
				$result_array['place']  = $_LANG['POSTER'].', '.$obj['cat_title'];   //   
				$result_array['placelink'] = "/poster/categorii/zavedenija/".$obj['cat_seolink'].".html"; //    
        $result_array['description'] = $searchModel->getProposalWithSearchWord($obj['description']); //  ,   ,      
        $result_array['title']       = $obj['title'];  //  
			  //$result_array['pubdate']     = $obj['pubdate'];   //    
			  $result_array['session_id']  = session_id();  // id   

        $searchModel->addResult($result_array);      //     cms_search (    ,   )
			}
		}

		return;
}
?>
