<?php
/*******************************************************************************/
//                          InstantCMS v1.8                                    //
//                      http://www.instantcms.ru/                              //
//                         component "Poster"                                  //
//                       written by Marat Fatikhov                             //
//                      (nickname  on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/

function routes_poster(){

    $routes[] = array(
                            '_uri'  => '/^poster\/([0-9]+)\/newobjekt.html$/i',
                            'do'    => 'newobjekt',
                             1      => 'cat_id'
                         );
                         
    $routes[] = array(
                            '_uri'  => '/^poster\/newobjekt.html$/i',
                            'do'    => 'newobjekt'
                         );

    $routes[] = array(
                            '_uri'  => '/^poster\/([0-9]+)\/newevent.html$/i',
                            'do'    => 'newevent',
                             1      => 'cat_id'
                         );

    $routes[] = array(
                            '_uri'  => '/^poster\/newevent.html$/i',
                            'do'    => 'newevent'
                         );
                         
                         
    $routes[] = array(
                            '_uri'  => '/^poster\/([0-9]+)\/editobjekt.html$/i',
                            'do'    => 'editobjekt',
                             1      => 'objekt_id'
                         );
                         
    $routes[] = array(
                            '_uri'  => '/^poster\/([0-9]+)\/editevent.html$/i',
                            'do'    => 'editevent',
                             1      => 'event_id'
                         );
                         
    $routes[] = array(
                            '_uri'  => '/^poster\/([a-zA-z]+)-([0-9]+)\/newbind([0-9]).html$/i',
                            'do'    => 'newbind',
                             1      => 'type',
                             2      => 'item_id',
                             3      => 'step'
                         );
    $routes[] = array(
                            '_uri'  => '/^poster\/newbind.html$/i',
                            'do'    => 'newbind'
                         );
                         
    $routes[] = array(
                            '_uri'  => '/^poster\/([a-zA-z]+)-([0-9]+)\/newbind.html$/i',
                            'do'    => 'newbind',
                             1      => 'type',
                             2      => 'item_id'
                         );
                         
    $routes[] = array(
                            '_uri'  => '/^poster\/delbind-([0-9]+).html$/i',
                            'do'    => 'delbind',
                            1      => 'bind_id'
                         );
                         
    $routes[] = array(
                            '_uri'  => '/^poster\/prosmotr\/zavedenija\/(.+)\/(.+).html$/i',
                            'do'    => 'view',
                            'type'  => 'objekt',
                             1      => 'cat_seolink',
                             2      => 'seolink'
                         );
                         
    $routes[] = array(
                            '_uri'  => '/^poster\/prosmotr\/(.+)\/(.+).html$/i',
                            'do'    => 'view',
                             1      => 'cat_seolink',
                             2      => 'seolink'
                         );

  $routes[] = array(
                            '_uri'  => '/^poster\/page\-([0-9]+)$/i',
                            'do'    => 'main',
                             1      => 'page',
                         );

  $routes[] = array(
                            '_uri'  => '/^poster\/afisha\/([0-9\-]+)\/(.+)\/page\-([0-9]+).html$/i',
                            'do'    => 'main',
                             1      => 'date',
                             2      => 'cat_seolink',
                             3      => 'page'
                         );

   $routes[] = array(
                            '_uri'  => '/^poster\/afisha\/([0-9\-]+)\/(.+).html$/i',
                            'do'    => 'main',
                             1      => 'date',
                             2      => 'cat_seolink'
                         );
                         
  $routes[] = array(
                            '_uri'  => '/^poster\/afisha\/([0-9\-]+)\/page\-([0-9]+)$/i',
                            'do'    => 'main',
                             1      => 'date',
                             2      => 'page',
                            'all'      => true

                         );

  $routes[] = array(
                            '_uri'  => '/^poster\/afisha\/([0-9\-]+)$/i',
                            'do'    => 'main',
                             1      => 'date',
                            'all'      => true
                         );
                         
  $routes[] = array(
                            '_uri'  => '/^poster\/afisha\/([0-9\-]+)_([0-9\-]+)\/(.+)\/page\-([0-9]+).html$/i',
                            'do'    => 'main',
                             1      => 'start_date',
                             2      => 'end_date',
                             3      => 'cat_seolink',
                             4      => 'page'
                         );

  $routes[] = array(
                            '_uri'  => '/^poster\/afisha\/([0-9\-]+)_([0-9\-]+)\/(.+).html$/i',
                            'do'    => 'main',
                             1      => 'start_date',
                             2      => 'end_date',
                             3      => 'cat_seolink'
                         );
                         
  $routes[] = array(
                            '_uri'  => '/^poster\/afisha\/([0-9\-]+)_([0-9\-]+)\/page\-([0-9]+)$/i',
                            'do'    => 'main',
                             1      => 'start_date',
                             2      => 'end_date',
                             3      => 'page',
                             'all'      => true
                         );

  $routes[] = array(
                            '_uri'  => '/^poster\/afisha\/([0-9\-]+)_([0-9\-]+)$/i',
                            'do'    => 'main',
                             1      => 'start_date',
                             2      => 'end_date',
                             'all'      => true
                         );
                         
  $routes[] = array(
                            '_uri'  => '/^poster\/afisha\/([a-zA-z]+)\/([0-9\-]+)\/(.+)\/page\-([0-9]+).html$/i',
                            'do'    => 'main',
                             1      => 'orient',
                             2      => 'date',
                             3      => 'cat_seolink',
                             4      => 'page'
                         );
                         
  $routes[] = array(
                            '_uri'  => '/^poster\/afisha\/([a-zA-z]+)\/([0-9\-]+)\/(.+).html$/i',
                            'do'    => 'main',
                             1      => 'orient',
                             2      => 'date',
                             3      => 'cat_seolink'
                         );
                         
  $routes[] = array(
                            '_uri'  => '/^poster\/afisha\/([a-zA-z]+)\/([0-9\-]+)\/page\-([0-9]+)$/i',
                            'do'    => 'main',
                             1      => 'orient',
                             2      => 'date',
                             3      => 'page',
                             'all'      => true
                         );
                         
  $routes[] = array(
                            '_uri'  => '/^poster\/afisha\/([a-zA-z]+)\/([0-9\-]+)$/i',
                            'do'    => 'main',
                             1      => 'orient',
                             2      => 'date',
                             'all'      => true
                         );
                         

                         
  $routes[] = array(
                            '_uri'  => '/^poster\/delete([a-zA-z]+)\/([0-9\-]+).html$/i',
                            'do'    => 'delete',
                             1      => 'type',
                             2      => 'item_id'
                          );
                          
  $routes[] = array(
                            '_uri'  => '/^poster\/categorii\/zavedenija\/(.+)\/page\-([0-9]+).html$/i',
                            'do'    => 'viewcat',
                            'type'  => 'objekt',
                             1      => 'cat_seolink',
                             2      => 'page'
                          );
                          
  $routes[] = array(
                            '_uri'  => '/^poster\/categorii\/zavedenija\/(.+).html$/i',
                            'do'    => 'viewcat',
                            'type'  => 'objekt',
                             1      => 'cat_seolink'
                          );
                          
  $routes[] = array(
                            '_uri'  => '/^poster\/categorii\/(.+)\/page\-([0-9]+).html$/i',
                            'do'    => 'viewcat',
                            'type'  => 'event',
                             1      => 'cat_seolink',
                             2      => 'page'
                          );
                          
  $routes[] = array(
                            '_uri'  => '/^poster\/categorii\/(.+).html$/i',
                            'do'    => 'viewcat',
                            'type'  => 'event',
                             1      => 'cat_seolink'
                          );
                          

                          
  $routes[] = array(
                            '_uri'  => '/^poster\/([0-9]+)\/frommaps.html$/i',
                            'do'    => 'frommaps',
                             1      => 'cat_id'
                         );

    $routes[] = array(
                            '_uri'  => '/^poster\/frommaps.html$/i',
                            'do'    => 'frommaps'
                         );

return $routes;
}
?>
